Package org.gdal.gdal

# Class gdalJNI

java.lang.Object
org.gdal.gdal.gdalJNI

public class gdalJNI extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `gdalJNI()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final void`
  `AllRegister()`
  `static final void`
  `ApplyGeoTransform(double[] jarg1, double jarg2, double jarg3, double[] jarg4, double[] jarg5)`
  `static final long`
  `ApplyVerticalShiftGrid__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4, double jarg5, Vector jarg6)`
  `static final long`
  `ApplyVerticalShiftGrid__SWIG_1(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4, double jarg5)`
  `static final long`
  `ApplyVerticalShiftGrid__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4)`
  `static final long`
  `ApplyVerticalShiftGrid__SWIG_3(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3)`
  `static final long`
  `ApplyVerticalShiftGrid__SWIG_4(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_)`
  `static final long`
  `Attribute_GetDataType(long jarg1, Attribute jarg1_)`
  `static final long`
  `Attribute_GetDimensionCount(long jarg1, Attribute jarg1_)`
  `static final String`
  `Attribute_GetFullName(long jarg1, Attribute jarg1_)`
  `static final String`
  `Attribute_GetName(long jarg1, Attribute jarg1_)`
  `static final BigInteger`
  `Attribute_GetTotalElementsCount(long jarg1, Attribute jarg1_)`
  `static final double`
  `Attribute_ReadAsDouble(long jarg1, Attribute jarg1_)`
  `static final int`
  `Attribute_ReadAsInt(long jarg1, Attribute jarg1_)`
  `static final String`
  `Attribute_ReadAsString(long jarg1, Attribute jarg1_)`
  `static final Vector`
  `Attribute_ReadAsStringArray(long jarg1, Attribute jarg1_)`
  `static final int`
  `Attribute_WriteDouble(long jarg1, Attribute jarg1_, double jarg2)`
  `static final int`
  `Attribute_WriteInt(long jarg1, Attribute jarg1_, int jarg2)`
  `static final int`
  `Attribute_WriteString(long jarg1, Attribute jarg1_, String jarg2)`
  `static final int`
  `Attribute_WriteStringArray(long jarg1, Attribute jarg1_, Vector jarg2)`
  `static final long`
  `AutoCreateWarpedVRT__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, String jarg3, int jarg4, double jarg5)`
  `static final long`
  `AutoCreateWarpedVRT__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, String jarg3, int jarg4)`
  `static final long`
  `AutoCreateWarpedVRT__SWIG_2(long jarg1, Dataset jarg1_, String jarg2, String jarg3)`
  `static final long`
  `AutoCreateWarpedVRT__SWIG_3(long jarg1, Dataset jarg1_, String jarg2)`
  `static final long`
  `AutoCreateWarpedVRT__SWIG_4(long jarg1, Dataset jarg1_)`
  `static final void`
  `Band__EnablePixelTypeSignedByteWarning(long jarg1, Band jarg1_, boolean jarg2)`
  `static final int`
  `Band_AdviseRead__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, Vector jarg9)`
  `static final int`
  `Band_AdviseRead__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8)`
  `static final int`
  `Band_AdviseRead__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7)`
  `static final int`
  `Band_AdviseRead__SWIG_3(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6)`
  `static final int`
  `Band_AdviseRead__SWIG_4(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)`
  `static final long`
  `Band_AsMDArray(long jarg1, Band jarg1_)`
  `static final int`
  `Band_Checksum(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)`
  `static final void`
  `Band_ComputeBandStats__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, int jarg3)`
  `static final void`
  `Band_ComputeBandStats__SWIG_1(long jarg1, Band jarg1_, double[] jarg2)`
  `static final void`
  `Band_ComputeRasterMinMax__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, int jarg3)`
  `static final void`
  `Band_ComputeRasterMinMax__SWIG_1(long jarg1, Band jarg1_, double[] jarg2)`
  `static final int`
  `Band_ComputeStatistics__SWIG_0(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5, double[] jarg6, ProgressCallback jarg7)`
  `static final int`
  `Band_ComputeStatistics__SWIG_2(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5, double[] jarg6)`
  `static final int`
  `Band_CreateMaskBand(long jarg1, Band jarg1_, int jarg2)`
  `static final int`
  `Band_DataType_get(long jarg1, Band jarg1_)`
  `static final int`
  `Band_DeleteNoDataValue(long jarg1, Band jarg1_)`
  `static final int`
  `Band_Fill__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3)`
  `static final int`
  `Band_Fill__SWIG_1(long jarg1, Band jarg1_, double jarg2)`
  `static final void`
  `Band_FlushCache(long jarg1, Band jarg1_)`
  `static final int`
  `Band_GetBand(long jarg1, Band jarg1_)`
  `static final void`
  `Band_GetBlockSize(long jarg1, Band jarg1_, int[] jarg2, int[] jarg3)`
  `static final Vector`
  `Band_GetCategoryNames(long jarg1, Band jarg1_)`
  `static final int`
  `Band_GetColorInterpretation(long jarg1, Band jarg1_)`
  `static final long`
  `Band_GetColorTable(long jarg1, Band jarg1_)`
  `static final long`
  `Band_GetDataset(long jarg1, Band jarg1_)`
  `static final int`
  `Band_GetDefaultHistogram__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4, boolean jarg6, ProgressCallback jarg7)`
  `static final int`
  `Band_GetDefaultHistogram__SWIG_2(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4, boolean jarg6)`
  `static final int`
  `Band_GetDefaultHistogram__SWIG_3(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4)`
  `static final long`
  `Band_GetDefaultRAT(long jarg1, Band jarg1_)`
  `static final int`
  `Band_GetHistogram__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4, boolean jarg6, boolean jarg7, ProgressCallback jarg8)`
  `static final int`
  `Band_GetHistogram__SWIG_1(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4, boolean jarg6, boolean jarg7)`
  `static final int`
  `Band_GetHistogram__SWIG_2(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4)`
  `static final int`
  `Band_GetHistogram__SWIG_3(long jarg1, Band jarg1_, int[] jarg2)`
  `static final long`
  `Band_GetMaskBand(long jarg1, Band jarg1_)`
  `static final int`
  `Band_GetMaskFlags(long jarg1, Band jarg1_)`
  `static final void`
  `Band_GetMaximum(long jarg1, Band jarg1_, Double[] jarg2)`
  `static final void`
  `Band_GetMinimum(long jarg1, Band jarg1_, Double[] jarg2)`
  `static final void`
  `Band_GetNoDataValue(long jarg1, Band jarg1_, Double[] jarg2)`
  `static final void`
  `Band_GetOffset(long jarg1, Band jarg1_, Double[] jarg2)`
  `static final long`
  `Band_GetOverview(long jarg1, Band jarg1_, int jarg2)`
  `static final int`
  `Band_GetOverviewCount(long jarg1, Band jarg1_)`
  `static final Vector`
  `Band_GetRasterCategoryNames(long jarg1, Band jarg1_)`
  `static final int`
  `Band_GetRasterColorInterpretation(long jarg1, Band jarg1_)`
  `static final long`
  `Band_GetRasterColorTable(long jarg1, Band jarg1_)`
  `static final void`
  `Band_GetScale(long jarg1, Band jarg1_, Double[] jarg2)`
  `static final int`
  `Band_GetStatistics(long jarg1, Band jarg1_, int jarg2, int jarg3, double[] jarg4, double[] jarg5, double[] jarg6, double[] jarg7)`
  `static final String`
  `Band_GetUnitType(long jarg1, Band jarg1_)`
  `static final boolean`
  `Band_HasArbitraryOverviews(long jarg1, Band jarg1_)`
  `static final boolean`
  `Band_IsMaskBand(long jarg1, Band jarg1_)`
  `static final int`
  `Band_ReadBlock_Direct(long jarg1, Band jarg1_, int jarg2, int jarg3, ByteBuffer jarg4)`
  `static final int`
  `Band_ReadRaster__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_ReadRaster__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11)`
  `static final int`
  `Band_ReadRaster__SWIG_10(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11)`
  `static final int`
  `Band_ReadRaster__SWIG_11(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9)`
  `static final int`
  `Band_ReadRaster__SWIG_12(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_ReadRaster__SWIG_13(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11)`
  `static final int`
  `Band_ReadRaster__SWIG_14(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9)`
  `static final int`
  `Band_ReadRaster__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9)`
  `static final int`
  `Band_ReadRaster__SWIG_3(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_ReadRaster__SWIG_4(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11)`
  `static final int`
  `Band_ReadRaster__SWIG_5(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9)`
  `static final int`
  `Band_ReadRaster__SWIG_6(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_ReadRaster__SWIG_7(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11)`
  `static final int`
  `Band_ReadRaster__SWIG_8(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9)`
  `static final int`
  `Band_ReadRaster__SWIG_9(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_ReadRaster_Direct__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_ReadRaster_Direct__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11)`
  `static final int`
  `Band_ReadRaster_Direct__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9)`
  `static final int`
  `Band_SetCategoryNames(long jarg1, Band jarg1_, Vector jarg2)`
  `static final int`
  `Band_SetColorInterpretation(long jarg1, Band jarg1_, int jarg2)`
  `static final int`
  `Band_SetColorTable(long jarg1, Band jarg1_, long jarg2, ColorTable jarg2_)`
  `static final int`
  `Band_SetDefaultHistogram(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4)`
  `static final int`
  `Band_SetDefaultRAT(long jarg1, Band jarg1_, long jarg2, RasterAttributeTable jarg2_)`
  `static final int`
  `Band_SetNoDataValue(long jarg1, Band jarg1_, double jarg2)`
  `static final int`
  `Band_SetOffset(long jarg1, Band jarg1_, double jarg2)`
  `static final int`
  `Band_SetRasterCategoryNames(long jarg1, Band jarg1_, Vector jarg2)`
  `static final int`
  `Band_SetRasterColorInterpretation(long jarg1, Band jarg1_, int jarg2)`
  `static final int`
  `Band_SetRasterColorTable(long jarg1, Band jarg1_, long jarg2, ColorTable jarg2_)`
  `static final int`
  `Band_SetScale(long jarg1, Band jarg1_, double jarg2)`
  `static final int`
  `Band_SetStatistics(long jarg1, Band jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)`
  `static final int`
  `Band_SetUnitType(long jarg1, Band jarg1_, String jarg2)`
  `static final long`
  `Band_SWIGUpcast(long jarg1)`
  `static final int`
  `Band_WriteBlock_Direct(long jarg1, Band jarg1_, int jarg2, int jarg3, ByteBuffer jarg4)`
  `static final int`
  `Band_WriteRaster__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_WriteRaster__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11)`
  `static final int`
  `Band_WriteRaster__SWIG_10(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11)`
  `static final int`
  `Band_WriteRaster__SWIG_11(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9)`
  `static final int`
  `Band_WriteRaster__SWIG_12(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_WriteRaster__SWIG_13(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11)`
  `static final int`
  `Band_WriteRaster__SWIG_14(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9)`
  `static final int`
  `Band_WriteRaster__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9)`
  `static final int`
  `Band_WriteRaster__SWIG_3(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_WriteRaster__SWIG_4(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11)`
  `static final int`
  `Band_WriteRaster__SWIG_5(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9)`
  `static final int`
  `Band_WriteRaster__SWIG_6(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_WriteRaster__SWIG_7(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11)`
  `static final int`
  `Band_WriteRaster__SWIG_8(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9)`
  `static final int`
  `Band_WriteRaster__SWIG_9(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_WriteRaster_Direct__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11, int jarg12)`
  `static final int`
  `Band_WriteRaster_Direct__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11)`
  `static final int`
  `Band_WriteRaster_Direct__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9)`
  `static final int`
  `Band_XSize_get(long jarg1, Band jarg1_)`
  `static final int`
  `Band_YSize_get(long jarg1, Band jarg1_)`
  `static final long`
  `BuildVRT__SWIG_0(String jarg1, Dataset[] jarg2, long jarg4, BuildVRTOptions jarg4_, ProgressCallback jarg5)`
  `static final long`
  `BuildVRT__SWIG_2(String jarg1, Dataset[] jarg2, long jarg4, BuildVRTOptions jarg4_)`
  `static final long`
  `BuildVRT__SWIG_3(String jarg1, Vector jarg2, long jarg3, BuildVRTOptions jarg3_, ProgressCallback jarg4)`
  `static final long`
  `BuildVRT__SWIG_5(String jarg1, Vector jarg2, long jarg3, BuildVRTOptions jarg3_)`
  `static final void`
  `ClearCredentials__SWIG_0(String jarg1)`
  `static final void`
  `ClearCredentials__SWIG_1()`
  `static final void`
  `ClearPathSpecificOptions__SWIG_0(String jarg1)`
  `static final void`
  `ClearPathSpecificOptions__SWIG_1()`
  `static final long`
  `ColorTable_Clone(long jarg1, ColorTable jarg1_)`
  `static final void`
  `ColorTable_CreateColorRamp(long jarg1, ColorTable jarg1_, int jarg2, Color jarg3, int jarg4, Color jarg5)`
  `static final Color`
  `ColorTable_GetColorEntry(long jarg1, ColorTable jarg1_, int jarg2)`
  `static final int`
  `ColorTable_GetCount(long jarg1, ColorTable jarg1_)`
  `static final int`
  `ColorTable_GetPaletteInterpretation(long jarg1, ColorTable jarg1_)`
  `static final void`
  `ColorTable_SetColorEntry(long jarg1, ColorTable jarg1_, int jarg2, Color jarg3)`
  `static final int`
  `ComputeMedianCutPCT__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, long jarg5, ColorTable jarg5_, ProgressCallback jarg6)`
  `static final int`
  `ComputeMedianCutPCT__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, long jarg5, ColorTable jarg5_)`
  `static final int`
  `ComputeProximity__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Vector jarg3, ProgressCallback jarg4)`
  `static final int`
  `ComputeProximity__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Vector jarg3)`
  `static final int`
  `ComputeProximity__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_)`
  `static final int`
  `ContourGenerate__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3, double[] jarg4, int jarg6, double jarg7, long jarg8, Layer jarg8_, int jarg9, int jarg10, ProgressCallback jarg11)`
  `static final int`
  `ContourGenerate__SWIG_2(long jarg1, Band jarg1_, double jarg2, double jarg3, double[] jarg4, int jarg6, double jarg7, long jarg8, Layer jarg8_, int jarg9, int jarg10)`
  `static final int`
  `ContourGenerateEx__SWIG_0(long jarg1, Band jarg1_, long jarg2, Layer jarg2_, Vector jarg3, ProgressCallback jarg4)`
  `static final int`
  `ContourGenerateEx__SWIG_2(long jarg1, Band jarg1_, long jarg2, Layer jarg2_, Vector jarg3)`
  `static final int`
  `ContourGenerateEx__SWIG_3(long jarg1, Band jarg1_, long jarg2, Layer jarg2_)`
  `static final int`
  `CopyFile__SWIG_0(String jarg1, String jarg2, long jarg3, long jarg4, Vector jarg5, ProgressCallback jarg6)`
  `static final int`
  `CopyFile__SWIG_2(String jarg1, String jarg2, long jarg3, long jarg4, Vector jarg5)`
  `static final int`
  `CopyFile__SWIG_3(String jarg1, String jarg2, long jarg3, long jarg4)`
  `static final int`
  `CopyFile__SWIG_4(String jarg1, String jarg2, long jarg3)`
  `static final int`
  `CopyFile__SWIG_5(String jarg1, String jarg2)`
  `static final String`
  `CPLBinaryToHex(byte[] jarg1)`
  `static final byte[]`
  `CPLHexToBinary(String jarg1)`
  `static final long`
  `CreatePansharpenedVRT(String jarg1, long jarg2, Band jarg2_, Band[] jarg3)`
  `static final int`
  `CXT_Attribute_get()`
  `static final int`
  `CXT_Comment_get()`
  `static final int`
  `CXT_Element_get()`
  `static final int`
  `CXT_Literal_get()`
  `static final int`
  `CXT_Text_get()`
  `static final int`
  `Dataset_AbortSQL(long jarg1, Dataset jarg1_)`
  `static final int`
  `Dataset_AddBand__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, Vector jarg3)`
  `static final int`
  `Dataset_AddBand__SWIG_1(long jarg1, Dataset jarg1_, int jarg2)`
  `static final int`
  `Dataset_AddBand__SWIG_2(long jarg1, Dataset jarg1_)`
  `static final boolean`
  `Dataset_AddFieldDomain(long jarg1, Dataset jarg1_, long jarg2, FieldDomain jarg2_)`
  `static final boolean`
  `Dataset_AddRelationship(long jarg1, Dataset jarg1_, long jarg2, Relationship jarg2_)`
  `static final int`
  `Dataset_AdviseRead__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, int[] jarg9, Vector jarg11)`
  `static final int`
  `Dataset_AdviseRead__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, int[] jarg9)`
  `static final int`
  `Dataset_AdviseRead__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8)`
  `static final int`
  `Dataset_AdviseRead__SWIG_4(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7)`
  `static final int`
  `Dataset_AdviseRead__SWIG_5(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6)`
  `static final int`
  `Dataset_AdviseRead__SWIG_6(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)`
  `static final int`
  `Dataset_BuildOverviews__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, int[] jarg3, ProgressCallback jarg5, Vector jarg7)`
  `static final int`
  `Dataset_BuildOverviews__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, int[] jarg3, ProgressCallback jarg5)`
  `static final int`
  `Dataset_BuildOverviews__SWIG_3(long jarg1, Dataset jarg1_, String jarg2, int[] jarg3)`
  `static final void`
  `Dataset_ClearStatistics(long jarg1, Dataset jarg1_)`
  `static final int`
  `Dataset_CommitTransaction(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_CopyLayer__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_, String jarg3, Vector jarg4)`
  `static final long`
  `Dataset_CopyLayer__SWIG_1(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_, String jarg3)`
  `static final long`
  `Dataset_CreateLayer__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, long jarg3, SpatialReference jarg3_, int jarg4, Vector jarg5)`
  `static final long`
  `Dataset_CreateLayer__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, long jarg3, SpatialReference jarg3_, int jarg4)`
  `static final long`
  `Dataset_CreateLayer__SWIG_2(long jarg1, Dataset jarg1_, String jarg2, long jarg3, SpatialReference jarg3_)`
  `static final long`
  `Dataset_CreateLayer__SWIG_3(long jarg1, Dataset jarg1_, String jarg2)`
  `static final int`
  `Dataset_CreateMaskBand(long jarg1, Dataset jarg1_, int jarg2)`
  `static final boolean`
  `Dataset_DeleteFieldDomain(long jarg1, Dataset jarg1_, String jarg2)`
  `static final int`
  `Dataset_DeleteLayer(long jarg1, Dataset jarg1_, int jarg2)`
  `static final boolean`
  `Dataset_DeleteRelationship(long jarg1, Dataset jarg1_, String jarg2)`
  `static final long`
  `Dataset_ExecuteSQL__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, long jarg3, Geometry jarg3_, String jarg4)`
  `static final long`
  `Dataset_ExecuteSQL__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, long jarg3, Geometry jarg3_)`
  `static final long`
  `Dataset_ExecuteSQL__SWIG_2(long jarg1, Dataset jarg1_, String jarg2)`
  `static final int`
  `Dataset_FlushCache(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_GetDriver(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_GetFieldDomain(long jarg1, Dataset jarg1_, String jarg2)`
  `static final Vector`
  `Dataset_GetFieldDomainNames__SWIG_0(long jarg1, Dataset jarg1_, Vector jarg2)`
  `static final Vector`
  `Dataset_GetFieldDomainNames__SWIG_1(long jarg1, Dataset jarg1_)`
  `static final Vector`
  `Dataset_GetFileList(long jarg1, Dataset jarg1_)`
  `static final int`
  `Dataset_GetGCPCount(long jarg1, Dataset jarg1_)`
  `static final String`
  `Dataset_GetGCPProjection(long jarg1, Dataset jarg1_)`
  `static final void`
  `Dataset_GetGCPs(long jarg1, Dataset jarg1_, Vector jarg2)`
  `static final long`
  `Dataset_GetGCPSpatialRef(long jarg1, Dataset jarg1_)`
  `static final void`
  `Dataset_GetGeoTransform(long jarg1, Dataset jarg1_, double[] jarg2)`
  `static final long`
  `Dataset_GetLayerByIndex(long jarg1, Dataset jarg1_, int jarg2)`
  `static final long`
  `Dataset_GetLayerByName(long jarg1, Dataset jarg1_, String jarg2)`
  `static final int`
  `Dataset_GetLayerCount(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_GetNextFeature(long jarg1, Dataset jarg1_)`
  `static final String`
  `Dataset_GetProjection(long jarg1, Dataset jarg1_)`
  `static final String`
  `Dataset_GetProjectionRef(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_GetRasterBand(long jarg1, Dataset jarg1_, int jarg2)`
  `static final long`
  `Dataset_GetRelationship(long jarg1, Dataset jarg1_, String jarg2)`
  `static final Vector`
  `Dataset_GetRelationshipNames__SWIG_0(long jarg1, Dataset jarg1_, Vector jarg2)`
  `static final Vector`
  `Dataset_GetRelationshipNames__SWIG_1(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_GetRootGroup(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_GetSpatialRef(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_GetStyleTable(long jarg1, Dataset jarg1_)`
  `static final boolean`
  `Dataset_IsLayerPrivate(long jarg1, Dataset jarg1_, int jarg2)`
  `static final int`
  `Dataset_RasterCount_get(long jarg1, Dataset jarg1_)`
  `static final int`
  `Dataset_RasterXSize_get(long jarg1, Dataset jarg1_)`
  `static final int`
  `Dataset_RasterYSize_get(long jarg1, Dataset jarg1_)`
  `static final int`
  `Dataset_ReadRaster__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_ReadRaster__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_ReadRaster__SWIG_10(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_ReadRaster__SWIG_11(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_ReadRaster__SWIG_12(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_ReadRaster__SWIG_13(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_ReadRaster__SWIG_14(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_ReadRaster__SWIG_15(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_ReadRaster__SWIG_16(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_ReadRaster__SWIG_17(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_ReadRaster__SWIG_18(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_ReadRaster__SWIG_19(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_ReadRaster__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_ReadRaster__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_ReadRaster__SWIG_4(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_ReadRaster__SWIG_5(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_ReadRaster__SWIG_6(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_ReadRaster__SWIG_7(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_ReadRaster__SWIG_8(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_ReadRaster__SWIG_9(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_ReadRaster_Direct__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_ReadRaster_Direct__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_ReadRaster_Direct__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_ReadRaster_Direct__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11)`
  `static final void`
  `Dataset_ReleaseResultSet(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_)`
  `static final void`
  `Dataset_ResetReading(long jarg1, Dataset jarg1_)`
  `static final int`
  `Dataset_RollbackTransaction(long jarg1, Dataset jarg1_)`
  `static final int`
  `Dataset_SetGCPs(long jarg1, Dataset jarg1_, GCP[] jarg2, String jarg4)`
  `static final int`
  `Dataset_SetGCPs2(long jarg1, Dataset jarg1_, GCP[] jarg2, long jarg4, SpatialReference jarg4_)`
  `static final int`
  `Dataset_SetGeoTransform(long jarg1, Dataset jarg1_, double[] jarg2)`
  `static final int`
  `Dataset_SetProjection(long jarg1, Dataset jarg1_, String jarg2)`
  `static final int`
  `Dataset_SetSpatialRef(long jarg1, Dataset jarg1_, long jarg2, SpatialReference jarg2_)`
  `static final void`
  `Dataset_SetStyleTable(long jarg1, Dataset jarg1_, long jarg2, StyleTable jarg2_)`
  `static final int`
  `Dataset_StartTransaction__SWIG_0(long jarg1, Dataset jarg1_, int jarg2)`
  `static final int`
  `Dataset_StartTransaction__SWIG_1(long jarg1, Dataset jarg1_)`
  `static final long`
  `Dataset_SWIGUpcast(long jarg1)`
  `static final boolean`
  `Dataset_TestCapability(long jarg1, Dataset jarg1_, String jarg2)`
  `static final boolean`
  `Dataset_UpdateFieldDomain(long jarg1, Dataset jarg1_, long jarg2, FieldDomain jarg2_)`
  `static final boolean`
  `Dataset_UpdateRelationship(long jarg1, Dataset jarg1_, long jarg2, Relationship jarg2_)`
  `static final int`
  `Dataset_WriteRaster__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_WriteRaster__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_WriteRaster__SWIG_10(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_WriteRaster__SWIG_11(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_WriteRaster__SWIG_12(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_WriteRaster__SWIG_13(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_WriteRaster__SWIG_14(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_WriteRaster__SWIG_15(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_WriteRaster__SWIG_16(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_WriteRaster__SWIG_17(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_WriteRaster__SWIG_18(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_WriteRaster__SWIG_19(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_WriteRaster__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_WriteRaster__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_WriteRaster__SWIG_4(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_WriteRaster__SWIG_5(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_WriteRaster__SWIG_6(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_WriteRaster__SWIG_7(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11)`
  `static final int`
  `Dataset_WriteRaster__SWIG_8(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_WriteRaster__SWIG_9(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_WriteRaster_Direct__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)`
  `static final int`
  `Dataset_WriteRaster_Direct__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14)`
  `static final int`
  `Dataset_WriteRaster_Direct__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13)`
  `static final int`
  `Dataset_WriteRaster_Direct__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11)`
  `static final int`
  `DataTypeIsComplex(int jarg1)`
  `static final int`
  `DataTypeUnion(int jarg1, int jarg2)`
  `static final void`
  `Debug(String jarg1, String jarg2)`
  `static final String`
  `DecToDMS__SWIG_0(double jarg1, String jarg2, int jarg3)`
  `static final String`
  `DecToDMS__SWIG_1(double jarg1, String jarg2)`
  `static final double`
  `DecToPackedDMS(double jarg1)`
  `static final void`
  `delete_Attribute(long jarg1)`
  `static final void`
  `delete_BuildVRTOptions(long jarg1)`
  `static final void`
  `delete_ColorTable(long jarg1)`
  `static final void`
  `delete_Dataset(long jarg1)`
  `static final void`
  `delete_DEMProcessingOptions(long jarg1)`
  `static final void`
  `delete_Dimension(long jarg1)`
  `static final void`
  `delete_EDTComponent(long jarg1)`
  `static final void`
  `delete_ExtendedDataType(long jarg1)`
  `static final void`
  `delete_GCP(long jarg1)`
  `static final void`
  `delete_GridOptions(long jarg1)`
  `static final void`
  `delete_Group(long jarg1)`
  `static final void`
  `delete_InfoOptions(long jarg1)`
  `static final void`
  `delete_MDArray(long jarg1)`
  `static final void`
  `delete_MultiDimInfoOptions(long jarg1)`
  `static final void`
  `delete_MultiDimTranslateOptions(long jarg1)`
  `static final void`
  `delete_NearblackOptions(long jarg1)`
  `static final void`
  `delete_ProgressCallback(long jarg1)`
  `static final void`
  `delete_RasterAttributeTable(long jarg1)`
  `static final void`
  `delete_RasterizeOptions(long jarg1)`
  `static final void`
  `delete_Relationship(long jarg1)`
  `static final void`
  `delete_Statistics(long jarg1)`
  `static final void`
  `delete_TermProgressCallback(long jarg1)`
  `static final void`
  `delete_Transformer(long jarg1)`
  `static final void`
  `delete_TranslateOptions(long jarg1)`
  `static final void`
  `delete_VectorInfoOptions(long jarg1)`
  `static final void`
  `delete_VectorTranslateOptions(long jarg1)`
  `static final void`
  `delete_WarpOptions(long jarg1)`
  `static final void`
  `delete_XMLNode(long jarg1)`
  `static final long`
  `DEMProcessing__SWIG_0(String jarg1, long jarg2, Dataset jarg2_, String jarg3, String jarg4, long jarg5, DEMProcessingOptions jarg5_, ProgressCallback jarg6)`
  `static final long`
  `DEMProcessing__SWIG_2(String jarg1, long jarg2, Dataset jarg2_, String jarg3, String jarg4, long jarg5, DEMProcessingOptions jarg5_)`
  `static final String`
  `Dimension_GetDirection(long jarg1, Dimension jarg1_)`
  `static final String`
  `Dimension_GetFieldType(long jarg1, Dimension jarg1_)`
  `static final String`
  `Dimension_GetFullName(long jarg1, Dimension jarg1_)`
  `static final long`
  `Dimension_GetIndexingVariable(long jarg1, Dimension jarg1_)`
  `static final String`
  `Dimension_GetName(long jarg1, Dimension jarg1_)`
  `static final BigInteger`
  `Dimension_GetSize(long jarg1, Dimension jarg1_)`
  `static final boolean`
  `Dimension_SetIndexingVariable(long jarg1, Dimension jarg1_, long jarg2, MDArray jarg2_)`
  `static final int`
  `DitherRGB2PCT__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, long jarg5, ColorTable jarg5_, ProgressCallback jarg6)`
  `static final int`
  `DitherRGB2PCT__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, long jarg5, ColorTable jarg5_)`
  `static final void`
  `DontUseExceptions()`
  `static final int`
  `Driver_CopyFiles(long jarg1, Driver jarg1_, String jarg2, String jarg3)`
  `static final long`
  `Driver_Create__SWIG_0(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5, int jarg6, Vector jarg7)`
  `static final long`
  `Driver_Create__SWIG_1(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5, int jarg6)`
  `static final long`
  `Driver_Create__SWIG_2(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5)`
  `static final long`
  `Driver_Create__SWIG_3(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4)`
  `static final long`
  `Driver_CreateCopy__SWIG_0(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4, Vector jarg5, ProgressCallback jarg6)`
  `static final long`
  `Driver_CreateCopy__SWIG_2(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4, Vector jarg5)`
  `static final long`
  `Driver_CreateCopy__SWIG_3(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4)`
  `static final long`
  `Driver_CreateCopy__SWIG_4(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_)`
  `static final long`
  `Driver_CreateMultiDimensional__SWIG_0(long jarg1, Driver jarg1_, String jarg2, Vector jarg3, Vector jarg4)`
  `static final long`
  `Driver_CreateMultiDimensional__SWIG_1(long jarg1, Driver jarg1_, String jarg2, Vector jarg3)`
  `static final long`
  `Driver_CreateMultiDimensional__SWIG_2(long jarg1, Driver jarg1_, String jarg2)`
  `static final int`
  `Driver_Delete(long jarg1, Driver jarg1_, String jarg2)`
  `static final void`
  `Driver_Deregister(long jarg1, Driver jarg1_)`
  `static final String`
  `Driver_HelpTopic_get(long jarg1, Driver jarg1_)`
  `static final String`
  `Driver_LongName_get(long jarg1, Driver jarg1_)`
  `static final int`
  `Driver_Register(long jarg1, Driver jarg1_)`
  `static final int`
  `Driver_Rename(long jarg1, Driver jarg1_, String jarg2, String jarg3)`
  `static final String`
  `Driver_ShortName_get(long jarg1, Driver jarg1_)`
  `static final long`
  `Driver_SWIGUpcast(long jarg1)`
  `static final long`
  `EDTComponent_Create(String jarg1, long jarg2, long jarg3, ExtendedDataType jarg3_)`
  `static final long`
  `EDTComponent_GetFieldType(long jarg1, EDTComponent jarg1_)`
  `static final String`
  `EDTComponent_GetName(long jarg1, EDTComponent jarg1_)`
  `static final long`
  `EDTComponent_GetOffset(long jarg1, EDTComponent jarg1_)`
  `static final void`
  `Error(int jarg1, int jarg2, String jarg3)`
  `static final void`
  `ErrorReset()`
  `static final String`
  `EscapeString__SWIG_0(byte[] jarg1, int jarg3)`
  `static final String`
  `EscapeString__SWIG_1(String jarg1, int jarg2)`
  `static final boolean`
  `ExtendedDataType_CanConvertTo(long jarg1, ExtendedDataType jarg1_, long jarg2, ExtendedDataType jarg2_)`
  `static final long`
  `ExtendedDataType_Create(int jarg1)`
  `static final long`
  `ExtendedDataType_CreateString__SWIG_0(long jarg1, int jarg2)`
  `static final long`
  `ExtendedDataType_CreateString__SWIG_1(long jarg1)`
  `static final long`
  `ExtendedDataType_CreateString__SWIG_2()`
  `static final boolean`
  `ExtendedDataType_Equals(long jarg1, ExtendedDataType jarg1_, long jarg2, ExtendedDataType jarg2_)`
  `static final int`
  `ExtendedDataType_GetClass(long jarg1, ExtendedDataType jarg1_)`
  `static final long`
  `ExtendedDataType_GetMaxStringLength(long jarg1, ExtendedDataType jarg1_)`
  `static final String`
  `ExtendedDataType_GetName(long jarg1, ExtendedDataType jarg1_)`
  `static final int`
  `ExtendedDataType_GetNumericDataType(long jarg1, ExtendedDataType jarg1_)`
  `static final long`
  `ExtendedDataType_GetSize(long jarg1, ExtendedDataType jarg1_)`
  `static final int`
  `ExtendedDataType_GetSubType(long jarg1, ExtendedDataType jarg1_)`
  `static final void`
  `FileFromMemBuffer(String jarg1, byte[] jarg2)`
  `static final int`
  `FillNodata__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4, Vector jarg5, ProgressCallback jarg6)`
  `static final int`
  `FillNodata__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4, Vector jarg5)`
  `static final int`
  `FillNodata__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4)`
  `static final void`
  `FinderClean()`
  `static final String`
  `FindFile(String jarg1, String jarg2)`
  `static final int`
  `FPolygonize__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, Vector jarg5, ProgressCallback jarg6)`
  `static final int`
  `FPolygonize__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, Vector jarg5)`
  `static final int`
  `FPolygonize__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4)`
  `static final double`
  `GCP_GCPLine_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GCP_GCPLine_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final double`
  `GCP_GCPPixel_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GCP_GCPPixel_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final double`
  `GCP_GCPX_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GCP_GCPX_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final double`
  `GCP_GCPY_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GCP_GCPY_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final double`
  `GCP_GCPZ_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GCP_GCPZ_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final String`
  `GCP_Id_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GCP_Id_set(long jarg1, GCP jarg1_, String jarg2)`
  `static final String`
  `GCP_Info_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GCP_Info_set(long jarg1, GCP jarg1_, String jarg2)`
  `static final int`
  `GCPsToGeoTransform__SWIG_0(GCP[] jarg1, double[] jarg3, int jarg4)`
  `static final int`
  `GCPsToGeoTransform__SWIG_1(GCP[] jarg1, double[] jarg3)`
  `static final double`
  `GDAL_GCP_GCPLine_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GDAL_GCP_GCPLine_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final double`
  `GDAL_GCP_GCPPixel_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GDAL_GCP_GCPPixel_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final double`
  `GDAL_GCP_GCPX_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GDAL_GCP_GCPX_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final double`
  `GDAL_GCP_GCPY_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GDAL_GCP_GCPY_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final double`
  `GDAL_GCP_GCPZ_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GDAL_GCP_GCPZ_set(long jarg1, GCP jarg1_, double jarg2)`
  `static final String`
  `GDAL_GCP_Id_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GDAL_GCP_Id_set(long jarg1, GCP jarg1_, String jarg2)`
  `static final String`
  `GDAL_GCP_Info_get(long jarg1, GCP jarg1_)`
  `static final void`
  `GDAL_GCP_Info_set(long jarg1, GCP jarg1_, String jarg2)`
  `static final void`
  `GDALDestroyDriverManager()`
  `static final String`
  `GDALInfo(long jarg1, Dataset jarg1_, long jarg2, InfoOptions jarg2_)`
  `static final String`
  `GDALMultiDimInfo(long jarg1, Dataset jarg1_, long jarg2, MultiDimInfoOptions jarg2_)`
  `static final String`
  `GDALVectorInfo(long jarg1, Dataset jarg1_, long jarg2, VectorInfoOptions jarg2_)`
  `static final int`
  `GEDTST_JSON_get()`
  `static final int`
  `GEDTST_NONE_get()`
  `static final Vector`
  `GeneralCmdLineProcessor__SWIG_0(Vector jarg1, int jarg2)`
  `static final Vector`
  `GeneralCmdLineProcessor__SWIG_1(Vector jarg1)`
  `static final String`
  `GetActualURL(String jarg1)`
  `static final int`
  `GetCacheMax()`
  `static final int`
  `GetCacheUsed()`
  `static final String`
  `GetColorInterpretationName(int jarg1)`
  `static final String`
  `GetConfigOption__SWIG_0(String jarg1, String jarg2)`
  `static final String`
  `GetConfigOption__SWIG_1(String jarg1)`
  `static final String`
  `GetCredential__SWIG_0(String jarg1, String jarg2, String jarg3)`
  `static final String`
  `GetCredential__SWIG_1(String jarg1, String jarg2)`
  `static final int`
  `GetDataTypeByName(String jarg1)`
  `static final String`
  `GetDataTypeName(int jarg1)`
  `static final int`
  `GetDataTypeSize(int jarg1)`
  `static final long`
  `GetDriver(int jarg1)`
  `static final long`
  `GetDriverByName(String jarg1)`
  `static final int`
  `GetDriverCount()`
  `static final long`
  `GetErrorCounter()`
  `static final String`
  `GetFileSystemOptions(String jarg1)`
  `static final Vector`
  `GetFileSystemsPrefixes()`
  `static final String`
  `GetJPEG2000StructureAsString__SWIG_0(String jarg1, Vector jarg2)`
  `static final String`
  `GetJPEG2000StructureAsString__SWIG_1(String jarg1)`
  `static final String`
  `GetLastErrorMsg()`
  `static final int`
  `GetLastErrorNo()`
  `static final int`
  `GetLastErrorType()`
  `static final int`
  `GetNumCPUs()`
  `static final String`
  `GetPaletteInterpretationName(int jarg1)`
  `static final String`
  `GetPathSpecificOption__SWIG_0(String jarg1, String jarg2, String jarg3)`
  `static final String`
  `GetPathSpecificOption__SWIG_1(String jarg1, String jarg2)`
  `static final String`
  `GetSignedURL__SWIG_0(String jarg1, Vector jarg2)`
  `static final String`
  `GetSignedURL__SWIG_1(String jarg1)`
  `static final String`
  `GetThreadLocalConfigOption__SWIG_0(String jarg1, String jarg2)`
  `static final String`
  `GetThreadLocalConfigOption__SWIG_1(String jarg1)`
  `static final long`
  `GetUsablePhysicalRAM()`
  `static final boolean`
  `GetUseExceptions()`
  `static final String`
  `GOA2GetAccessToken(String jarg1, String jarg2)`
  `static final String`
  `GOA2GetAuthorizationURL(String jarg1)`
  `static final String`
  `GOA2GetRefreshToken(String jarg1, String jarg2)`
  `static final long`
  `Grid__SWIG_0(String jarg1, long jarg2, Dataset jarg2_, long jarg3, GridOptions jarg3_, ProgressCallback jarg4)`
  `static final long`
  `Grid__SWIG_2(String jarg1, long jarg2, Dataset jarg2_, long jarg3, GridOptions jarg3_)`
  `static final int`
  `GridCreate__SWIG_0(String jarg1, double[][] jarg2, double jarg6, double jarg7, double jarg8, double jarg9, int jarg10, int jarg11, int jarg12, ByteBuffer jarg13, ProgressCallback jarg15)`
  `static final int`
  `GridCreate__SWIG_2(String jarg1, double[][] jarg2, double jarg6, double jarg7, double jarg8, double jarg9, int jarg10, int jarg11, int jarg12, ByteBuffer jarg13)`
  `static final long`
  `Group_CreateAttribute__SWIG_0(long jarg1, Group jarg1_, String jarg2, int jarg3, long jarg4, long jarg5, ExtendedDataType jarg5_, Vector jarg6)`
  `static final long`
  `Group_CreateAttribute__SWIG_1(long jarg1, Group jarg1_, String jarg2, int jarg3, long jarg4, long jarg5, ExtendedDataType jarg5_)`
  `static final long`
  `Group_CreateDimension__SWIG_0(long jarg1, Group jarg1_, String jarg2, String jarg3, String jarg4, BigInteger jarg5, Vector jarg6)`
  `static final long`
  `Group_CreateDimension__SWIG_1(long jarg1, Group jarg1_, String jarg2, String jarg3, String jarg4, BigInteger jarg5)`
  `static final long`
  `Group_CreateGroup__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)`
  `static final long`
  `Group_CreateGroup__SWIG_1(long jarg1, Group jarg1_, String jarg2)`
  `static final long`
  `Group_GetAttribute(long jarg1, Group jarg1_, String jarg2)`
  `static final String`
  `Group_GetFullName(long jarg1, Group jarg1_)`
  `static final Vector`
  `Group_GetGroupNames__SWIG_0(long jarg1, Group jarg1_, Vector jarg2)`
  `static final Vector`
  `Group_GetGroupNames__SWIG_1(long jarg1, Group jarg1_)`
  `static final Vector`
  `Group_GetMDArrayNames__SWIG_0(long jarg1, Group jarg1_, Vector jarg2)`
  `static final Vector`
  `Group_GetMDArrayNames__SWIG_1(long jarg1, Group jarg1_)`
  `static final String`
  `Group_GetName(long jarg1, Group jarg1_)`
  `static final Hashtable`
  `Group_GetStructuralInfo(long jarg1, Group jarg1_)`
  `static final Vector`
  `Group_GetVectorLayerNames__SWIG_0(long jarg1, Group jarg1_, Vector jarg2)`
  `static final Vector`
  `Group_GetVectorLayerNames__SWIG_1(long jarg1, Group jarg1_)`
  `static final long`
  `Group_OpenGroup__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)`
  `static final long`
  `Group_OpenGroup__SWIG_1(long jarg1, Group jarg1_, String jarg2)`
  `static final long`
  `Group_OpenGroupFromFullname__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)`
  `static final long`
  `Group_OpenGroupFromFullname__SWIG_1(long jarg1, Group jarg1_, String jarg2)`
  `static final long`
  `Group_OpenMDArray__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)`
  `static final long`
  `Group_OpenMDArray__SWIG_1(long jarg1, Group jarg1_, String jarg2)`
  `static final long`
  `Group_OpenMDArrayFromFullname__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)`
  `static final long`
  `Group_OpenMDArrayFromFullname__SWIG_1(long jarg1, Group jarg1_, String jarg2)`
  `static final long`
  `Group_OpenVectorLayer__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)`
  `static final long`
  `Group_OpenVectorLayer__SWIG_1(long jarg1, Group jarg1_, String jarg2)`
  `static final long`
  `Group_ResolveMDArray__SWIG_0(long jarg1, Group jarg1_, String jarg2, String jarg3, Vector jarg4)`
  `static final long`
  `Group_ResolveMDArray__SWIG_1(long jarg1, Group jarg1_, String jarg2, String jarg3)`
  `static final int`
  `GVM_Diagonal_get()`
  `static final int`
  `GVM_Edge_get()`
  `static final int`
  `GVM_Max_get()`
  `static final int`
  `GVM_Min_get()`
  `static final int`
  `GVOT_MIN_TARGET_HEIGHT_FROM_DEM_get()`
  `static final int`
  `GVOT_MIN_TARGET_HEIGHT_FROM_GROUND_get()`
  `static final int`
  `GVOT_NORMAL_get()`
  `static final int`
  `HasThreadSupport()`
  `static final int`
  `HasTriangulation()`
  `static final long`
  `IdentifyDriver__SWIG_0(String jarg1, Vector jarg2)`
  `static final long`
  `IdentifyDriver__SWIG_1(String jarg1)`
  `static final long`
  `IdentifyDriverEx__SWIG_0(String jarg1, long jarg2, Vector jarg3, Vector jarg4)`
  `static final long`
  `IdentifyDriverEx__SWIG_1(String jarg1, long jarg2, Vector jarg3)`
  `static final long`
  `IdentifyDriverEx__SWIG_2(String jarg1, long jarg2)`
  `static final long`
  `IdentifyDriverEx__SWIG_3(String jarg1)`
  `static final int`
  `InvGeoTransform(double[] jarg1, double[] jarg2)`
  `static boolean`
  `isAvailable()`
  `static final String`
  `MajorObject_GetDescription(long jarg1, MajorObject jarg1_)`
  `static final Hashtable`
  `MajorObject_GetMetadata_Dict__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2)`
  `static final Hashtable`
  `MajorObject_GetMetadata_Dict__SWIG_1(long jarg1, MajorObject jarg1_)`
  `static final Vector`
  `MajorObject_GetMetadata_List__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2)`
  `static final Vector`
  `MajorObject_GetMetadata_List__SWIG_1(long jarg1, MajorObject jarg1_)`
  `static final Vector`
  `MajorObject_GetMetadataDomainList(long jarg1, MajorObject jarg1_)`
  `static final String`
  `MajorObject_GetMetadataItem__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)`
  `static final String`
  `MajorObject_GetMetadataItem__SWIG_1(long jarg1, MajorObject jarg1_, String jarg2)`
  `static final void`
  `MajorObject_SetDescription(long jarg1, MajorObject jarg1_, String jarg2)`
  `static final int`
  `MajorObject_SetMetadata__SWIG_0(long jarg1, MajorObject jarg1_, Vector jarg2, String jarg3)`
  `static final int`
  `MajorObject_SetMetadata__SWIG_1(long jarg1, MajorObject jarg1_, Vector jarg2)`
  `static final int`
  `MajorObject_SetMetadata__SWIG_2(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)`
  `static final int`
  `MajorObject_SetMetadata__SWIG_3(long jarg1, MajorObject jarg1_, String jarg2)`
  `static final int`
  `MajorObject_SetMetadataItem__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2, String jarg3, String jarg4)`
  `static final int`
  `MajorObject_SetMetadataItem__SWIG_1(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)`
  `static final long`
  `MDArray_AsClassicDataset(long jarg1, MDArray jarg1_, long jarg2, long jarg3)`
  `static final boolean`
  `MDArray_Cache__SWIG_0(long jarg1, MDArray jarg1_, Vector jarg2)`
  `static final boolean`
  `MDArray_Cache__SWIG_1(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_ComputeStatistics__SWIG_0(long jarg1, MDArray jarg1_, boolean jarg2, ProgressCallback jarg3)`
  `static final long`
  `MDArray_ComputeStatistics__SWIG_2(long jarg1, MDArray jarg1_, boolean jarg2)`
  `static final long`
  `MDArray_ComputeStatistics__SWIG_3(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_CreateAttribute__SWIG_0(long jarg1, MDArray jarg1_, String jarg2, int jarg3, long jarg4, long jarg5, ExtendedDataType jarg5_, Vector jarg6)`
  `static final long`
  `MDArray_CreateAttribute__SWIG_1(long jarg1, MDArray jarg1_, String jarg2, int jarg3, long jarg4, long jarg5, ExtendedDataType jarg5_)`
  `static final int`
  `MDArray_DeleteNoDataValue(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_GetAttribute(long jarg1, MDArray jarg1_, String jarg2)`
  `static final long`
  `MDArray_GetDataType(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_GetDimensionCount(long jarg1, MDArray jarg1_)`
  `static final String`
  `MDArray_GetFullName(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_GetGridded__SWIG_0(long jarg1, MDArray jarg1_, String jarg2, long jarg3, MDArray jarg3_, long jarg4, MDArray jarg4_, Vector jarg5)`
  `static final long`
  `MDArray_GetGridded__SWIG_1(long jarg1, MDArray jarg1_, String jarg2, long jarg3, MDArray jarg3_, long jarg4, MDArray jarg4_)`
  `static final long`
  `MDArray_GetGridded__SWIG_2(long jarg1, MDArray jarg1_, String jarg2, long jarg3, MDArray jarg3_)`
  `static final long`
  `MDArray_GetGridded__SWIG_3(long jarg1, MDArray jarg1_, String jarg2)`
  `static final long`
  `MDArray_GetMask__SWIG_0(long jarg1, MDArray jarg1_, Vector jarg2)`
  `static final long`
  `MDArray_GetMask__SWIG_1(long jarg1, MDArray jarg1_)`
  `static final String`
  `MDArray_GetName(long jarg1, MDArray jarg1_)`
  `static final void`
  `MDArray_GetNoDataValueAsDouble(long jarg1, MDArray jarg1_, Double[] jarg2)`
  `static final String`
  `MDArray_GetNoDataValueAsString(long jarg1, MDArray jarg1_)`
  `static final void`
  `MDArray_GetOffset(long jarg1, MDArray jarg1_, Double[] jarg2)`
  `static final int`
  `MDArray_GetOffsetStorageType(long jarg1, MDArray jarg1_)`
  `static final void`
  `MDArray_GetScale(long jarg1, MDArray jarg1_, Double[] jarg2)`
  `static final int`
  `MDArray_GetScaleStorageType(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_GetSpatialRef(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_GetStatistics__SWIG_0(long jarg1, MDArray jarg1_, boolean jarg2, boolean jarg3, ProgressCallback jarg4)`
  `static final long`
  `MDArray_GetStatistics__SWIG_2(long jarg1, MDArray jarg1_, boolean jarg2, boolean jarg3)`
  `static final long`
  `MDArray_GetStatistics__SWIG_3(long jarg1, MDArray jarg1_, boolean jarg2)`
  `static final long`
  `MDArray_GetStatistics__SWIG_4(long jarg1, MDArray jarg1_)`
  `static final Hashtable`
  `MDArray_GetStructuralInfo(long jarg1, MDArray jarg1_)`
  `static final BigInteger`
  `MDArray_GetTotalElementsCount(long jarg1, MDArray jarg1_)`
  `static final String`
  `MDArray_GetUnit(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_GetUnscaled(long jarg1, MDArray jarg1_)`
  `static final long`
  `MDArray_GetView(long jarg1, MDArray jarg1_, String jarg2)`
  `static final int`
  `MDArray_Resize__SWIG_0(long jarg1, MDArray jarg1_, int jarg2, long jarg3, Vector jarg4)`
  `static final int`
  `MDArray_Resize__SWIG_1(long jarg1, MDArray jarg1_, int jarg2, long jarg3)`
  `static final int`
  `MDArray_SetNoDataValueDouble(long jarg1, MDArray jarg1_, double jarg2)`
  `static final int`
  `MDArray_SetNoDataValueString(long jarg1, MDArray jarg1_, String jarg2)`
  `static final int`
  `MDArray_SetOffset__SWIG_0(long jarg1, MDArray jarg1_, double jarg2, int jarg3)`
  `static final int`
  `MDArray_SetOffset__SWIG_1(long jarg1, MDArray jarg1_, double jarg2)`
  `static final int`
  `MDArray_SetScale__SWIG_0(long jarg1, MDArray jarg1_, double jarg2, int jarg3)`
  `static final int`
  `MDArray_SetScale__SWIG_1(long jarg1, MDArray jarg1_, double jarg2)`
  `static final int`
  `MDArray_SetSpatialRef(long jarg1, MDArray jarg1_, long jarg2, SpatialReference jarg2_)`
  `static final int`
  `MDArray_SetUnit(long jarg1, MDArray jarg1_, String jarg2)`
  `static final long`
  `MDArray_Transpose(long jarg1, MDArray jarg1_, int[] jarg2)`
  `static final int`
  `Mkdir(String jarg1, int jarg2)`
  `static final int`
  `MkdirRecursive(String jarg1, int jarg2)`
  `static final long`
  `MultiDimTranslate__SWIG_0(String jarg1, Dataset[] jarg2, long jarg4, MultiDimTranslateOptions jarg4_, ProgressCallback jarg5)`
  `static final long`
  `MultiDimTranslate__SWIG_2(String jarg1, Dataset[] jarg2, long jarg4, MultiDimTranslateOptions jarg4_)`
  `static final int`
  `Nearblack__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_, ProgressCallback jarg4)`
  `static final int`
  `Nearblack__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_)`
  `static final long`
  `Nearblack__SWIG_3(String jarg1, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_, ProgressCallback jarg4)`
  `static final long`
  `Nearblack__SWIG_5(String jarg1, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_)`
  `static final long`
  `new_BuildVRTOptions(Vector jarg1)`
  `static final long`
  `new_ColorTable__SWIG_0(int jarg1)`
  `static final long`
  `new_ColorTable__SWIG_1()`
  `static final long`
  `new_DEMProcessingOptions(Vector jarg1)`
  `static final long`
  `new_GCP(double jarg1, double jarg2, double jarg3, double jarg4, double jarg5, String jarg6, String jarg7)`
  `static final long`
  `new_GridOptions(Vector jarg1)`
  `static final long`
  `new_InfoOptions(Vector jarg1)`
  `static final long`
  `new_MultiDimInfoOptions(Vector jarg1)`
  `static final long`
  `new_MultiDimTranslateOptions(Vector jarg1)`
  `static final long`
  `new_NearblackOptions(Vector jarg1)`
  `static final long`
  `new_ProgressCallback()`
  `static final long`
  `new_RasterAttributeTable()`
  `static final long`
  `new_RasterizeOptions(Vector jarg1)`
  `static final long`
  `new_Relationship(String jarg1, String jarg2, String jarg3, int jarg4)`
  `static final long`
  `new_Statistics()`
  `static final long`
  `new_TermProgressCallback()`
  `static final long`
  `new_Transformer(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, Vector jarg3)`
  `static final long`
  `new_TranslateOptions(Vector jarg1)`
  `static final long`
  `new_VectorInfoOptions(Vector jarg1)`
  `static final long`
  `new_VectorTranslateOptions(Vector jarg1)`
  `static final long`
  `new_WarpOptions(Vector jarg1)`
  `static final long`
  `new_XMLNode__SWIG_0(String jarg1)`
  `static final long`
  `new_XMLNode__SWIG_1(int jarg1, String jarg2)`
  `static final long`
  `Open__SWIG_0(String jarg1, int jarg2)`
  `static final long`
  `Open__SWIG_1(String jarg1)`
  `static final long`
  `OpenEx__SWIG_0(String jarg1, long jarg2, Vector jarg3, Vector jarg4, Vector jarg5)`
  `static final long`
  `OpenEx__SWIG_1(String jarg1, long jarg2, Vector jarg3, Vector jarg4)`
  `static final long`
  `OpenEx__SWIG_2(String jarg1, long jarg2, Vector jarg3)`
  `static final long`
  `OpenEx__SWIG_3(String jarg1, long jarg2)`
  `static final long`
  `OpenEx__SWIG_4(String jarg1)`
  `static final long`
  `OpenShared__SWIG_0(String jarg1, int jarg2)`
  `static final long`
  `OpenShared__SWIG_1(String jarg1)`
  `static final double`
  `PackedDMSToDec(double jarg1)`
  `static final Vector`
  `ParseCommandLine(String jarg1)`
  `static final long`
  `ParseXMLString(String jarg1)`
  `static final int`
  `Polygonize__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, Vector jarg5, ProgressCallback jarg6)`
  `static final int`
  `Polygonize__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, Vector jarg5)`
  `static final int`
  `Polygonize__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4)`
  `static final void`
  `PopErrorHandler()`
  `static final void`
  `PopFinderLocation()`
  `static final int`
  `ProgressCallback_run(long jarg1, ProgressCallback jarg1_, double jarg2, String jarg3)`
  `static final int`
  `PushErrorHandler__SWIG_0(String jarg1)`
  `static final int`
  `PushErrorHandler__SWIG_1()`
  `static final void`
  `PushFinderLocation(String jarg1)`
  `static final int`
  `RasterAttributeTable_ChangesAreWrittenToFile(long jarg1, RasterAttributeTable jarg1_)`
  `static final long`
  `RasterAttributeTable_Clone(long jarg1, RasterAttributeTable jarg1_)`
  `static final int`
  `RasterAttributeTable_CreateColumn(long jarg1, RasterAttributeTable jarg1_, String jarg2, int jarg3, int jarg4)`
  `static final void`
  `RasterAttributeTable_DumpReadable(long jarg1, RasterAttributeTable jarg1_)`
  `static final int`
  `RasterAttributeTable_GetColOfUsage(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
  `static final int`
  `RasterAttributeTable_GetColumnCount(long jarg1, RasterAttributeTable jarg1_)`
  `static final boolean`
  `RasterAttributeTable_GetLinearBinning(long jarg1, RasterAttributeTable jarg1_, double[] jarg2, double[] jarg3)`
  `static final String`
  `RasterAttributeTable_GetNameOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
  `static final int`
  `RasterAttributeTable_GetRowCount(long jarg1, RasterAttributeTable jarg1_)`
  `static final int`
  `RasterAttributeTable_GetRowOfValue(long jarg1, RasterAttributeTable jarg1_, double jarg2)`
  `static final int`
  `RasterAttributeTable_GetTableType(long jarg1, RasterAttributeTable jarg1_)`
  `static final int`
  `RasterAttributeTable_GetTypeOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
  `static final int`
  `RasterAttributeTable_GetUsageOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
  `static final double`
  `RasterAttributeTable_GetValueAsDouble(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)`
  `static final int`
  `RasterAttributeTable_GetValueAsInt(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)`
  `static final String`
  `RasterAttributeTable_GetValueAsString(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)`
  `static final int`
  `RasterAttributeTable_SetLinearBinning(long jarg1, RasterAttributeTable jarg1_, double jarg2, double jarg3)`
  `static final void`
  `RasterAttributeTable_SetRowCount(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
  `static final void`
  `RasterAttributeTable_SetTableType(long jarg1, RasterAttributeTable jarg1_, int jarg2)`
  `static final void`
  `RasterAttributeTable_SetValueAsDouble(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, double jarg4)`
  `static final void`
  `RasterAttributeTable_SetValueAsInt(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, int jarg4)`
  `static final void`
  `RasterAttributeTable_SetValueAsString(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, String jarg4)`
  `static final int`
  `Rasterize__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_, ProgressCallback jarg4)`
  `static final int`
  `Rasterize__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_)`
  `static final long`
  `Rasterize__SWIG_3(String jarg1, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_, ProgressCallback jarg4)`
  `static final long`
  `Rasterize__SWIG_5(String jarg1, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_)`
  `static final int`
  `RasterizeLayer__SWIG_0(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5, Vector jarg7, ProgressCallback jarg8)`
  `static final int`
  `RasterizeLayer__SWIG_2(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5, Vector jarg7)`
  `static final int`
  `RasterizeLayer__SWIG_3(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5)`
  `static final int`
  `RasterizeLayer__SWIG_5(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_)`
  `static final Vector`
  `ReadDir__SWIG_0(String jarg1, int jarg2)`
  `static final Vector`
  `ReadDir__SWIG_1(String jarg1)`
  `static final Vector`
  `ReadDirRecursive(String jarg1)`
  `static final int`
  `RegenerateOverview__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, String jarg3, ProgressCallback jarg4)`
  `static final int`
  `RegenerateOverview__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, String jarg3)`
  `static final int`
  `RegenerateOverview__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_)`
  `static final int`
  `RegenerateOverviews__SWIG_0(long jarg1, Band jarg1_, Band[] jarg2, String jarg4, ProgressCallback jarg5)`
  `static final int`
  `RegenerateOverviews__SWIG_2(long jarg1, Band jarg1_, Band[] jarg2, String jarg4)`
  `static final int`
  `RegenerateOverviews__SWIG_3(long jarg1, Band jarg1_, Band[] jarg2)`
  `static final String`
  `Relationship_GetBackwardPathLabel(long jarg1, Relationship jarg1_)`
  `static final int`
  `Relationship_GetCardinality(long jarg1, Relationship jarg1_)`
  `static final int`
  `Relationship_GetFieldType(long jarg1, Relationship jarg1_)`
  `static final String`
  `Relationship_GetForwardPathLabel(long jarg1, Relationship jarg1_)`
  `static final Vector`
  `Relationship_GetLeftMappingTableFields(long jarg1, Relationship jarg1_)`
  `static final Vector`
  `Relationship_GetLeftTableFields(long jarg1, Relationship jarg1_)`
  `static final String`
  `Relationship_GetLeftTableName(long jarg1, Relationship jarg1_)`
  `static final String`
  `Relationship_GetMappingTableName(long jarg1, Relationship jarg1_)`
  `static final String`
  `Relationship_GetName(long jarg1, Relationship jarg1_)`
  `static final String`
  `Relationship_GetRelatedTableType(long jarg1, Relationship jarg1_)`
  `static final Vector`
  `Relationship_GetRightMappingTableFields(long jarg1, Relationship jarg1_)`
  `static final Vector`
  `Relationship_GetRightTableFields(long jarg1, Relationship jarg1_)`
  `static final String`
  `Relationship_GetRightTableName(long jarg1, Relationship jarg1_)`
  `static final void`
  `Relationship_SetBackwardPathLabel(long jarg1, Relationship jarg1_, String jarg2)`
  `static final void`
  `Relationship_SetForwardPathLabel(long jarg1, Relationship jarg1_, String jarg2)`
  `static final void`
  `Relationship_SetLeftMappingTableFields(long jarg1, Relationship jarg1_, Vector jarg2)`
  `static final void`
  `Relationship_SetLeftTableFields(long jarg1, Relationship jarg1_, Vector jarg2)`
  `static final void`
  `Relationship_SetMappingTableName(long jarg1, Relationship jarg1_, String jarg2)`
  `static final void`
  `Relationship_SetRelatedTableType(long jarg1, Relationship jarg1_, String jarg2)`
  `static final void`
  `Relationship_SetRightMappingTableFields(long jarg1, Relationship jarg1_, Vector jarg2)`
  `static final void`
  `Relationship_SetRightTableFields(long jarg1, Relationship jarg1_, Vector jarg2)`
  `static final void`
  `Relationship_SetType(long jarg1, Relationship jarg1_, int jarg2)`
  `static final int`
  `Rename(String jarg1, String jarg2)`
  `static final int`
  `ReprojectImage__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6, double jarg7, ProgressCallback jarg8, Vector jarg10)`
  `static final int`
  `ReprojectImage__SWIG_1(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6, double jarg7, ProgressCallback jarg8)`
  `static final int`
  `ReprojectImage__SWIG_3(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6, double jarg7)`
  `static final int`
  `ReprojectImage__SWIG_4(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6)`
  `static final int`
  `ReprojectImage__SWIG_5(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5)`
  `static final int`
  `ReprojectImage__SWIG_6(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4)`
  `static final int`
  `ReprojectImage__SWIG_7(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3)`
  `static final int`
  `ReprojectImage__SWIG_8(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_)`
  `static final int`
  `Rmdir(String jarg1)`
  `static final int`
  `RmdirRecursive(String jarg1)`
  `static final String`
  `SerializeXMLTree(long jarg1, XMLNode jarg1_)`
  `static final void`
  `SetCacheMax(int jarg1)`
  `static final void`
  `SetConfigOption(String jarg1, String jarg2)`
  `static final void`
  `SetCredential(String jarg1, String jarg2, String jarg3)`
  `static final void`
  `SetCurrentErrorHandlerCatchDebug(int jarg1)`
  `static final int`
  `SetErrorHandler__SWIG_0(long jarg1, long jarg2)`
  `static final int`
  `SetErrorHandler__SWIG_1(long jarg1)`
  `static final int`
  `SetErrorHandler__SWIG_2()`
  `static final void`
  `SetPathSpecificOption(String jarg1, String jarg2, String jarg3)`
  `static final void`
  `SetThreadLocalConfigOption(String jarg1, String jarg2)`
  `static final int`
  `SieveFilter__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5, Vector jarg6, ProgressCallback jarg7)`
  `static final int`
  `SieveFilter__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5, Vector jarg6)`
  `static final int`
  `SieveFilter__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5)`
  `static final int`
  `SieveFilter__SWIG_4(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4)`
  `static final double`
  `Statistics_max_get(long jarg1, Statistics jarg1_)`
  `static final double`
  `Statistics_mean_get(long jarg1, Statistics jarg1_)`
  `static final double`
  `Statistics_min_get(long jarg1, Statistics jarg1_)`
  `static final double`
  `Statistics_std_dev_get(long jarg1, Statistics jarg1_)`
  `static final long`
  `Statistics_valid_count_get(long jarg1, Statistics jarg1_)`
  `static final int`
  `TermProgressCallback_run(long jarg1, TermProgressCallback jarg1_, double jarg2, String jarg3)`
  `static final long`
  `TermProgressCallback_SWIGUpcast(long jarg1)`
  `static final int`
  `Transformer_TransformGeolocations__SWIG_0(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, ProgressCallback jarg5, Vector jarg7)`
  `static final int`
  `Transformer_TransformGeolocations__SWIG_1(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, ProgressCallback jarg5)`
  `static final int`
  `Transformer_TransformGeolocations__SWIG_3(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_)`
  `static final int`
  `Transformer_TransformPoint__SWIG_0(long jarg1, Transformer jarg1_, int jarg2, double[] jarg3)`
  `static final int`
  `Transformer_TransformPoint__SWIG_1(long jarg1, Transformer jarg1_, double[] jarg2, int jarg3, double jarg4, double jarg5, double jarg6)`
  `static final int`
  `Transformer_TransformPoint__SWIG_2(long jarg1, Transformer jarg1_, double[] jarg2, int jarg3, double jarg4, double jarg5)`
  `static final int`
  `Transformer_TransformPoints(long jarg1, Transformer jarg1_, int jarg2, double[][] jarg3, int[] jarg7)`
  `static final long`
  `Translate__SWIG_0(String jarg1, long jarg2, Dataset jarg2_, long jarg3, TranslateOptions jarg3_, ProgressCallback jarg4)`
  `static final long`
  `Translate__SWIG_2(String jarg1, long jarg2, Dataset jarg2_, long jarg3, TranslateOptions jarg3_)`
  `static final int`
  `Unlink(String jarg1)`
  `static final boolean`
  `UnlinkBatch(Vector jarg1)`
  `static final void`
  `UseExceptions()`
  `static final int`
  `VectorTranslate__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_, ProgressCallback jarg4)`
  `static final int`
  `VectorTranslate__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_)`
  `static final long`
  `VectorTranslate__SWIG_3(String jarg1, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_, ProgressCallback jarg4)`
  `static final long`
  `VectorTranslate__SWIG_5(String jarg1, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_)`
  `static final String`
  `VersionInfo__SWIG_0(String jarg1)`
  `static final String`
  `VersionInfo__SWIG_1()`
  `static final long`
  `ViewshedGenerate__SWIG_0(long jarg1, Band jarg1_, String jarg2, String jarg3, Vector jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9, double jarg10, double jarg11, double jarg12, double jarg13, int jarg14, double jarg15, ProgressCallback jarg16, int jarg18, Vector jarg19)`
  `static final long`
  `ViewshedGenerate__SWIG_1(long jarg1, Band jarg1_, String jarg2, String jarg3, Vector jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9, double jarg10, double jarg11, double jarg12, double jarg13, int jarg14, double jarg15, ProgressCallback jarg16, int jarg18)`
  `static final long`
  `ViewshedGenerate__SWIG_2(long jarg1, Band jarg1_, String jarg2, String jarg3, Vector jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9, double jarg10, double jarg11, double jarg12, double jarg13, int jarg14, double jarg15, ProgressCallback jarg16)`
  `static final long`
  `ViewshedGenerate__SWIG_4(long jarg1, Band jarg1_, String jarg2, String jarg3, Vector jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9, double jarg10, double jarg11, double jarg12, double jarg13, int jarg14, double jarg15)`
  `static final void`
  `VSIErrorReset()`
  `static final String`
  `VSIGetLastErrorMsg()`
  `static final int`
  `VSIGetLastErrorNo()`
  `static final int`
  `Warp__SWIG_0(long jarg1, Dataset jarg1_, Dataset[] jarg2, long jarg4, WarpOptions jarg4_, ProgressCallback jarg5)`
  `static final int`
  `Warp__SWIG_2(long jarg1, Dataset jarg1_, Dataset[] jarg2, long jarg4, WarpOptions jarg4_)`
  `static final long`
  `Warp__SWIG_3(String jarg1, Dataset[] jarg2, long jarg4, WarpOptions jarg4_, ProgressCallback jarg5)`
  `static final long`
  `Warp__SWIG_5(String jarg1, Dataset[] jarg2, long jarg4, WarpOptions jarg4_)`
  `static final void`
  `XMLNode_AddXMLChild(long jarg1, XMLNode jarg1_, long jarg2, XMLNode jarg2_)`
  `static final void`
  `XMLNode_AddXMLSibling(long jarg1, XMLNode jarg1_, long jarg2, XMLNode jarg2_)`
  `static final long`
  `XMLNode_Child_get(long jarg1, XMLNode jarg1_)`
  `static final long`
  `XMLNode_Clone(long jarg1, XMLNode jarg1_)`
  `static final long`
  `XMLNode_GetXMLNode(long jarg1, XMLNode jarg1_, String jarg2)`
  `static final String`
  `XMLNode_GetXMLValue(long jarg1, XMLNode jarg1_, String jarg2, String jarg3)`
  `static final long`
  `XMLNode_Next_get(long jarg1, XMLNode jarg1_)`
  `static final long`
  `XMLNode_ParseXMLFile(String jarg1)`
  `static final long`
  `XMLNode_SearchXMLNode(long jarg1, XMLNode jarg1_, String jarg2)`
  `static final String`
  `XMLNode_SerializeXMLTree(long jarg1, XMLNode jarg1_)`
  `static final int`
  `XMLNode_SetXMLValue(long jarg1, XMLNode jarg1_, String jarg2, String jarg3)`
  `static final void`
  `XMLNode_StripXMLNamespace(long jarg1, XMLNode jarg1_, String jarg2, int jarg3)`
  `static final String`
  `XMLNode_toString(long jarg1, XMLNode jarg1_)`
  `static final int`
  `XMLNode_Type_get(long jarg1, XMLNode jarg1_)`
  `static final String`
  `XMLNode_Value_get(long jarg1, XMLNode jarg1_)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### gdalJNI

    public gdalJNI()

- ## Method Details

  - ### UseExceptions

    public static final void UseExceptions()

  - ### DontUseExceptions

    public static final void DontUseExceptions()

  - ### GetUseExceptions

    public static final boolean GetUseExceptions()

  - ### isAvailable

    public static boolean isAvailable()

  - ### delete_ProgressCallback

    public static final void delete_ProgressCallback(long jarg1)

  - ### ProgressCallback_run

    public static final int ProgressCallback_run(long jarg1, ProgressCallback jarg1_, double jarg2, String jarg3)

  - ### new_ProgressCallback

    public static final long new_ProgressCallback()

  - ### new_TermProgressCallback

    public static final long new_TermProgressCallback()

  - ### TermProgressCallback_run

    public static final int TermProgressCallback_run(long jarg1, TermProgressCallback jarg1_, double jarg2, String jarg3)

  - ### delete_TermProgressCallback

    public static final void delete_TermProgressCallback(long jarg1)

  - ### Debug

    public static final void Debug(String jarg1, String jarg2)

  - ### SetErrorHandler__SWIG_0

    public static final int SetErrorHandler__SWIG_0(long jarg1, long jarg2)

  - ### SetErrorHandler__SWIG_1

    public static final int SetErrorHandler__SWIG_1(long jarg1)

  - ### SetErrorHandler__SWIG_2

    public static final int SetErrorHandler__SWIG_2()

  - ### SetCurrentErrorHandlerCatchDebug

    public static final void SetCurrentErrorHandlerCatchDebug(int jarg1)

  - ### PushErrorHandler__SWIG_0

    public static final int PushErrorHandler__SWIG_0(String jarg1)

  - ### PushErrorHandler__SWIG_1

    public static final int PushErrorHandler__SWIG_1()

  - ### Error

    public static final void Error(int jarg1, int jarg2, String jarg3)

  - ### GOA2GetAuthorizationURL

    public static final String GOA2GetAuthorizationURL(String jarg1)

  - ### GOA2GetRefreshToken

    public static final String GOA2GetRefreshToken(String jarg1, String jarg2)

  - ### GOA2GetAccessToken

    public static final String GOA2GetAccessToken(String jarg1, String jarg2)

  - ### PopErrorHandler

    public static final void PopErrorHandler()

  - ### ErrorReset

    public static final void ErrorReset()

  - ### EscapeString__SWIG_0

    public static final String EscapeString__SWIG_0(byte[] jarg1, int jarg3)

  - ### EscapeString__SWIG_1

    public static final String EscapeString__SWIG_1(String jarg1, int jarg2)

  - ### GetLastErrorNo

    public static final int GetLastErrorNo()

  - ### GetLastErrorType

    public static final int GetLastErrorType()

  - ### GetLastErrorMsg

    public static final String GetLastErrorMsg()

  - ### GetErrorCounter

    public static final long GetErrorCounter()

  - ### VSIGetLastErrorNo

    public static final int VSIGetLastErrorNo()

  - ### VSIGetLastErrorMsg

    public static final String VSIGetLastErrorMsg()

  - ### VSIErrorReset

    public static final void VSIErrorReset()

  - ### PushFinderLocation

    public static final void PushFinderLocation(String jarg1)

  - ### PopFinderLocation

    public static final void PopFinderLocation()

  - ### FinderClean

    public static final void FinderClean()

  - ### FindFile

    public static final String FindFile(String jarg1, String jarg2)

  - ### ReadDir__SWIG_0

    public static final Vector ReadDir__SWIG_0(String jarg1, int jarg2)

  - ### ReadDir__SWIG_1

    public static final Vector ReadDir__SWIG_1(String jarg1)

  - ### ReadDirRecursive

    public static final Vector ReadDirRecursive(String jarg1)

  - ### SetConfigOption

    public static final void SetConfigOption(String jarg1, String jarg2)

  - ### SetThreadLocalConfigOption

    public static final void SetThreadLocalConfigOption(String jarg1, String jarg2)

  - ### GetConfigOption__SWIG_0

    public static final String GetConfigOption__SWIG_0(String jarg1, String jarg2)

  - ### GetConfigOption__SWIG_1

    public static final String GetConfigOption__SWIG_1(String jarg1)

  - ### GetThreadLocalConfigOption__SWIG_0

    public static final String GetThreadLocalConfigOption__SWIG_0(String jarg1, String jarg2)

  - ### GetThreadLocalConfigOption__SWIG_1

    public static final String GetThreadLocalConfigOption__SWIG_1(String jarg1)

  - ### SetPathSpecificOption

    public static final void SetPathSpecificOption(String jarg1, String jarg2, String jarg3)

  - ### SetCredential

    public static final void SetCredential(String jarg1, String jarg2, String jarg3)

  - ### GetCredential__SWIG_0

    public static final String GetCredential__SWIG_0(String jarg1, String jarg2, String jarg3)

  - ### GetCredential__SWIG_1

    public static final String GetCredential__SWIG_1(String jarg1, String jarg2)

  - ### GetPathSpecificOption__SWIG_0

    public static final String GetPathSpecificOption__SWIG_0(String jarg1, String jarg2, String jarg3)

  - ### GetPathSpecificOption__SWIG_1

    public static final String GetPathSpecificOption__SWIG_1(String jarg1, String jarg2)

  - ### ClearCredentials__SWIG_0

    public static final void ClearCredentials__SWIG_0(String jarg1)

  - ### ClearCredentials__SWIG_1

    public static final void ClearCredentials__SWIG_1()

  - ### ClearPathSpecificOptions__SWIG_0

    public static final void ClearPathSpecificOptions__SWIG_0(String jarg1)

  - ### ClearPathSpecificOptions__SWIG_1

    public static final void ClearPathSpecificOptions__SWIG_1()

  - ### CPLBinaryToHex

    public static final String CPLBinaryToHex(byte[] jarg1)

  - ### CPLHexToBinary

    public static final byte[] CPLHexToBinary(String jarg1)

  - ### FileFromMemBuffer

    public static final void FileFromMemBuffer(String jarg1, byte[] jarg2)

  - ### Unlink

    public static final int Unlink(String jarg1)

  - ### UnlinkBatch

    public static final boolean UnlinkBatch(Vector jarg1)

  - ### HasThreadSupport

    public static final int HasThreadSupport()

  - ### Mkdir

    public static final int Mkdir(String jarg1, int jarg2)

  - ### Rmdir

    public static final int Rmdir(String jarg1)

  - ### MkdirRecursive

    public static final int MkdirRecursive(String jarg1, int jarg2)

  - ### RmdirRecursive

    public static final int RmdirRecursive(String jarg1)

  - ### Rename

    public static final int Rename(String jarg1, String jarg2)

  - ### CopyFile__SWIG_0

    public static final int CopyFile__SWIG_0(String jarg1, String jarg2, long jarg3, long jarg4, Vector jarg5, ProgressCallback jarg6)

  - ### CopyFile__SWIG_2

    public static final int CopyFile__SWIG_2(String jarg1, String jarg2, long jarg3, long jarg4, Vector jarg5)

  - ### CopyFile__SWIG_3

    public static final int CopyFile__SWIG_3(String jarg1, String jarg2, long jarg3, long jarg4)

  - ### CopyFile__SWIG_4

    public static final int CopyFile__SWIG_4(String jarg1, String jarg2, long jarg3)

  - ### CopyFile__SWIG_5

    public static final int CopyFile__SWIG_5(String jarg1, String jarg2)

  - ### GetActualURL

    public static final String GetActualURL(String jarg1)

  - ### GetSignedURL__SWIG_0

    public static final String GetSignedURL__SWIG_0(String jarg1, Vector jarg2)

  - ### GetSignedURL__SWIG_1

    public static final String GetSignedURL__SWIG_1(String jarg1)

  - ### GetFileSystemsPrefixes

    public static final Vector GetFileSystemsPrefixes()

  - ### GetFileSystemOptions

    public static final String GetFileSystemOptions(String jarg1)

  - ### ParseCommandLine

    public static final Vector ParseCommandLine(String jarg1)

  - ### GetNumCPUs

    public static final int GetNumCPUs()

  - ### GetUsablePhysicalRAM

    public static final long GetUsablePhysicalRAM()

  - ### CXT_Element_get

    public static final int CXT_Element_get()

  - ### CXT_Text_get

    public static final int CXT_Text_get()

  - ### CXT_Attribute_get

    public static final int CXT_Attribute_get()

  - ### CXT_Comment_get

    public static final int CXT_Comment_get()

  - ### CXT_Literal_get

    public static final int CXT_Literal_get()

  - ### XMLNode_Type_get

    public static final int XMLNode_Type_get(long jarg1, XMLNode jarg1_)

  - ### XMLNode_Value_get

    public static final String XMLNode_Value_get(long jarg1, XMLNode jarg1_)

  - ### XMLNode_Next_get

    public static final long XMLNode_Next_get(long jarg1, XMLNode jarg1_)

  - ### XMLNode_Child_get

    public static final long XMLNode_Child_get(long jarg1, XMLNode jarg1_)

  - ### new_XMLNode__SWIG_0

    public static final long new_XMLNode__SWIG_0(String jarg1)

  - ### new_XMLNode__SWIG_1

    public static final long new_XMLNode__SWIG_1(int jarg1, String jarg2)

  - ### delete_XMLNode

    public static final void delete_XMLNode(long jarg1)

  - ### XMLNode_ParseXMLFile

    public static final long XMLNode_ParseXMLFile(String jarg1)

  - ### XMLNode_SerializeXMLTree

    public static final String XMLNode_SerializeXMLTree(long jarg1, XMLNode jarg1_)

  - ### XMLNode_toString

    public static final String XMLNode_toString(long jarg1, XMLNode jarg1_)

  - ### XMLNode_SearchXMLNode

    public static final long XMLNode_SearchXMLNode(long jarg1, XMLNode jarg1_, String jarg2)

  - ### XMLNode_GetXMLNode

    public static final long XMLNode_GetXMLNode(long jarg1, XMLNode jarg1_, String jarg2)

  - ### XMLNode_GetXMLValue

    public static final String XMLNode_GetXMLValue(long jarg1, XMLNode jarg1_, String jarg2, String jarg3)

  - ### XMLNode_AddXMLChild

    public static final void XMLNode_AddXMLChild(long jarg1, XMLNode jarg1_, long jarg2, XMLNode jarg2_)

  - ### XMLNode_AddXMLSibling

    public static final void XMLNode_AddXMLSibling(long jarg1, XMLNode jarg1_, long jarg2, XMLNode jarg2_)

  - ### XMLNode_Clone

    public static final long XMLNode_Clone(long jarg1, XMLNode jarg1_)

  - ### XMLNode_SetXMLValue

    public static final int XMLNode_SetXMLValue(long jarg1, XMLNode jarg1_, String jarg2, String jarg3)

  - ### XMLNode_StripXMLNamespace

    public static final void XMLNode_StripXMLNamespace(long jarg1, XMLNode jarg1_, String jarg2, int jarg3)

  - ### MajorObject_GetDescription

    public static final String MajorObject_GetDescription(long jarg1, MajorObject jarg1_)

  - ### MajorObject_SetDescription

    public static final void MajorObject_SetDescription(long jarg1, MajorObject jarg1_, String jarg2)

  - ### MajorObject_GetMetadataDomainList

    public static final Vector MajorObject_GetMetadataDomainList(long jarg1, MajorObject jarg1_)

  - ### MajorObject_GetMetadata_Dict__SWIG_0

    public static final Hashtable MajorObject_GetMetadata_Dict__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2)

  - ### MajorObject_GetMetadata_Dict__SWIG_1

    public static final Hashtable MajorObject_GetMetadata_Dict__SWIG_1(long jarg1, MajorObject jarg1_)

  - ### MajorObject_GetMetadata_List__SWIG_0

    public static final Vector MajorObject_GetMetadata_List__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2)

  - ### MajorObject_GetMetadata_List__SWIG_1

    public static final Vector MajorObject_GetMetadata_List__SWIG_1(long jarg1, MajorObject jarg1_)

  - ### MajorObject_SetMetadata__SWIG_0

    public static final int MajorObject_SetMetadata__SWIG_0(long jarg1, MajorObject jarg1_, Vector jarg2, String jarg3)

  - ### MajorObject_SetMetadata__SWIG_1

    public static final int MajorObject_SetMetadata__SWIG_1(long jarg1, MajorObject jarg1_, Vector jarg2)

  - ### MajorObject_SetMetadata__SWIG_2

    public static final int MajorObject_SetMetadata__SWIG_2(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)

  - ### MajorObject_SetMetadata__SWIG_3

    public static final int MajorObject_SetMetadata__SWIG_3(long jarg1, MajorObject jarg1_, String jarg2)

  - ### MajorObject_GetMetadataItem__SWIG_0

    public static final String MajorObject_GetMetadataItem__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)

  - ### MajorObject_GetMetadataItem__SWIG_1

    public static final String MajorObject_GetMetadataItem__SWIG_1(long jarg1, MajorObject jarg1_, String jarg2)

  - ### MajorObject_SetMetadataItem__SWIG_0

    public static final int MajorObject_SetMetadataItem__SWIG_0(long jarg1, MajorObject jarg1_, String jarg2, String jarg3, String jarg4)

  - ### MajorObject_SetMetadataItem__SWIG_1

    public static final int MajorObject_SetMetadataItem__SWIG_1(long jarg1, MajorObject jarg1_, String jarg2, String jarg3)

  - ### Driver_ShortName_get

    public static final String Driver_ShortName_get(long jarg1, Driver jarg1_)

  - ### Driver_LongName_get

    public static final String Driver_LongName_get(long jarg1, Driver jarg1_)

  - ### Driver_HelpTopic_get

    public static final String Driver_HelpTopic_get(long jarg1, Driver jarg1_)

  - ### Driver_Create__SWIG_0

    public static final long Driver_Create__SWIG_0(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5, int jarg6, Vector jarg7)

  - ### Driver_Create__SWIG_1

    public static final long Driver_Create__SWIG_1(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5, int jarg6)

  - ### Driver_Create__SWIG_2

    public static final long Driver_Create__SWIG_2(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4, int jarg5)

  - ### Driver_Create__SWIG_3

    public static final long Driver_Create__SWIG_3(long jarg1, Driver jarg1_, String jarg2, int jarg3, int jarg4)

  - ### Driver_CreateMultiDimensional__SWIG_0

    public static final long Driver_CreateMultiDimensional__SWIG_0(long jarg1, Driver jarg1_, String jarg2, Vector jarg3, Vector jarg4)

  - ### Driver_CreateMultiDimensional__SWIG_1

    public static final long Driver_CreateMultiDimensional__SWIG_1(long jarg1, Driver jarg1_, String jarg2, Vector jarg3)

  - ### Driver_CreateMultiDimensional__SWIG_2

    public static final long Driver_CreateMultiDimensional__SWIG_2(long jarg1, Driver jarg1_, String jarg2)

  - ### Driver_CreateCopy__SWIG_0

    public static final long Driver_CreateCopy__SWIG_0(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4, Vector jarg5, ProgressCallback jarg6)

  - ### Driver_CreateCopy__SWIG_2

    public static final long Driver_CreateCopy__SWIG_2(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4, Vector jarg5)

  - ### Driver_CreateCopy__SWIG_3

    public static final long Driver_CreateCopy__SWIG_3(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_, int jarg4)

  - ### Driver_CreateCopy__SWIG_4

    public static final long Driver_CreateCopy__SWIG_4(long jarg1, Driver jarg1_, String jarg2, long jarg3, Dataset jarg3_)

  - ### Driver_Delete

    public static final int Driver_Delete(long jarg1, Driver jarg1_, String jarg2)

  - ### Driver_Rename

    public static final int Driver_Rename(long jarg1, Driver jarg1_, String jarg2, String jarg3)

  - ### Driver_CopyFiles

    public static final int Driver_CopyFiles(long jarg1, Driver jarg1_, String jarg2, String jarg3)

  - ### Driver_Register

    public static final int Driver_Register(long jarg1, Driver jarg1_)

  - ### Driver_Deregister

    public static final void Driver_Deregister(long jarg1, Driver jarg1_)

  - ### GCP_GCPX_set

    public static final void GCP_GCPX_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GCP_GCPX_get

    public static final double GCP_GCPX_get(long jarg1, GCP jarg1_)

  - ### GCP_GCPY_set

    public static final void GCP_GCPY_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GCP_GCPY_get

    public static final double GCP_GCPY_get(long jarg1, GCP jarg1_)

  - ### GCP_GCPZ_set

    public static final void GCP_GCPZ_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GCP_GCPZ_get

    public static final double GCP_GCPZ_get(long jarg1, GCP jarg1_)

  - ### GCP_GCPPixel_set

    public static final void GCP_GCPPixel_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GCP_GCPPixel_get

    public static final double GCP_GCPPixel_get(long jarg1, GCP jarg1_)

  - ### GCP_GCPLine_set

    public static final void GCP_GCPLine_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GCP_GCPLine_get

    public static final double GCP_GCPLine_get(long jarg1, GCP jarg1_)

  - ### GCP_Info_set

    public static final void GCP_Info_set(long jarg1, GCP jarg1_, String jarg2)

  - ### GCP_Info_get

    public static final String GCP_Info_get(long jarg1, GCP jarg1_)

  - ### GCP_Id_set

    public static final void GCP_Id_set(long jarg1, GCP jarg1_, String jarg2)

  - ### GCP_Id_get

    public static final String GCP_Id_get(long jarg1, GCP jarg1_)

  - ### new_GCP

    public static final long new_GCP(double jarg1, double jarg2, double jarg3, double jarg4, double jarg5, String jarg6, String jarg7)

  - ### delete_GCP

    public static final void delete_GCP(long jarg1)

  - ### GDAL_GCP_GCPX_get

    public static final double GDAL_GCP_GCPX_get(long jarg1, GCP jarg1_)

  - ### GDAL_GCP_GCPX_set

    public static final void GDAL_GCP_GCPX_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GDAL_GCP_GCPY_get

    public static final double GDAL_GCP_GCPY_get(long jarg1, GCP jarg1_)

  - ### GDAL_GCP_GCPY_set

    public static final void GDAL_GCP_GCPY_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GDAL_GCP_GCPZ_get

    public static final double GDAL_GCP_GCPZ_get(long jarg1, GCP jarg1_)

  - ### GDAL_GCP_GCPZ_set

    public static final void GDAL_GCP_GCPZ_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GDAL_GCP_GCPPixel_get

    public static final double GDAL_GCP_GCPPixel_get(long jarg1, GCP jarg1_)

  - ### GDAL_GCP_GCPPixel_set

    public static final void GDAL_GCP_GCPPixel_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GDAL_GCP_GCPLine_get

    public static final double GDAL_GCP_GCPLine_get(long jarg1, GCP jarg1_)

  - ### GDAL_GCP_GCPLine_set

    public static final void GDAL_GCP_GCPLine_set(long jarg1, GCP jarg1_, double jarg2)

  - ### GDAL_GCP_Info_get

    public static final String GDAL_GCP_Info_get(long jarg1, GCP jarg1_)

  - ### GDAL_GCP_Info_set

    public static final void GDAL_GCP_Info_set(long jarg1, GCP jarg1_, String jarg2)

  - ### GDAL_GCP_Id_get

    public static final String GDAL_GCP_Id_get(long jarg1, GCP jarg1_)

  - ### GDAL_GCP_Id_set

    public static final void GDAL_GCP_Id_set(long jarg1, GCP jarg1_, String jarg2)

  - ### GCPsToGeoTransform__SWIG_0

    public static final int GCPsToGeoTransform__SWIG_0(GCP[] jarg1, double[] jarg3, int jarg4)

  - ### GCPsToGeoTransform__SWIG_1

    public static final int GCPsToGeoTransform__SWIG_1(GCP[] jarg1, double[] jarg3)

  - ### Dataset_RasterXSize_get

    public static final int Dataset_RasterXSize_get(long jarg1, Dataset jarg1_)

  - ### Dataset_RasterYSize_get

    public static final int Dataset_RasterYSize_get(long jarg1, Dataset jarg1_)

  - ### Dataset_RasterCount_get

    public static final int Dataset_RasterCount_get(long jarg1, Dataset jarg1_)

  - ### delete_Dataset

    public static final void delete_Dataset(long jarg1)

  - ### Dataset_GetDriver

    public static final long Dataset_GetDriver(long jarg1, Dataset jarg1_)

  - ### Dataset_GetRasterBand

    public static final long Dataset_GetRasterBand(long jarg1, Dataset jarg1_, int jarg2)

  - ### Dataset_GetRootGroup

    public static final long Dataset_GetRootGroup(long jarg1, Dataset jarg1_)

  - ### Dataset_GetProjection

    public static final String Dataset_GetProjection(long jarg1, Dataset jarg1_)

  - ### Dataset_GetProjectionRef

    public static final String Dataset_GetProjectionRef(long jarg1, Dataset jarg1_)

  - ### Dataset_GetSpatialRef

    public static final long Dataset_GetSpatialRef(long jarg1, Dataset jarg1_)

  - ### Dataset_SetProjection

    public static final int Dataset_SetProjection(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_SetSpatialRef

    public static final int Dataset_SetSpatialRef(long jarg1, Dataset jarg1_, long jarg2, SpatialReference jarg2_)

  - ### Dataset_GetGeoTransform

    public static final void Dataset_GetGeoTransform(long jarg1, Dataset jarg1_, double[] jarg2)

  - ### Dataset_SetGeoTransform

    public static final int Dataset_SetGeoTransform(long jarg1, Dataset jarg1_, double[] jarg2)

  - ### Dataset_BuildOverviews__SWIG_0

    public static final int Dataset_BuildOverviews__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, int[] jarg3, ProgressCallback jarg5, Vector jarg7)

  - ### Dataset_BuildOverviews__SWIG_1

    public static final int Dataset_BuildOverviews__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, int[] jarg3, ProgressCallback jarg5)

  - ### Dataset_BuildOverviews__SWIG_3

    public static final int Dataset_BuildOverviews__SWIG_3(long jarg1, Dataset jarg1_, String jarg2, int[] jarg3)

  - ### Dataset_GetGCPCount

    public static final int Dataset_GetGCPCount(long jarg1, Dataset jarg1_)

  - ### Dataset_GetGCPProjection

    public static final String Dataset_GetGCPProjection(long jarg1, Dataset jarg1_)

  - ### Dataset_GetGCPSpatialRef

    public static final long Dataset_GetGCPSpatialRef(long jarg1, Dataset jarg1_)

  - ### Dataset_GetGCPs

    public static final void Dataset_GetGCPs(long jarg1, Dataset jarg1_, Vector jarg2)

  - ### Dataset_SetGCPs

    public static final int Dataset_SetGCPs(long jarg1, Dataset jarg1_, GCP[] jarg2, String jarg4)

  - ### Dataset_SetGCPs2

    public static final int Dataset_SetGCPs2(long jarg1, Dataset jarg1_, GCP[] jarg2, long jarg4, SpatialReference jarg4_)

  - ### Dataset_FlushCache

    public static final int Dataset_FlushCache(long jarg1, Dataset jarg1_)

  - ### Dataset_AddBand__SWIG_0

    public static final int Dataset_AddBand__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, Vector jarg3)

  - ### Dataset_AddBand__SWIG_1

    public static final int Dataset_AddBand__SWIG_1(long jarg1, Dataset jarg1_, int jarg2)

  - ### Dataset_AddBand__SWIG_2

    public static final int Dataset_AddBand__SWIG_2(long jarg1, Dataset jarg1_)

  - ### Dataset_CreateMaskBand

    public static final int Dataset_CreateMaskBand(long jarg1, Dataset jarg1_, int jarg2)

  - ### Dataset_GetFileList

    public static final Vector Dataset_GetFileList(long jarg1, Dataset jarg1_)

  - ### Dataset_AdviseRead__SWIG_0

    public static final int Dataset_AdviseRead__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, int[] jarg9, Vector jarg11)

  - ### Dataset_AdviseRead__SWIG_1

    public static final int Dataset_AdviseRead__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, int[] jarg9)

  - ### Dataset_AdviseRead__SWIG_3

    public static final int Dataset_AdviseRead__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8)

  - ### Dataset_AdviseRead__SWIG_4

    public static final int Dataset_AdviseRead__SWIG_4(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7)

  - ### Dataset_AdviseRead__SWIG_5

    public static final int Dataset_AdviseRead__SWIG_5(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6)

  - ### Dataset_AdviseRead__SWIG_6

    public static final int Dataset_AdviseRead__SWIG_6(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)

  - ### Dataset_CreateLayer__SWIG_0

    public static final long Dataset_CreateLayer__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, long jarg3, SpatialReference jarg3_, int jarg4, Vector jarg5)

  - ### Dataset_CreateLayer__SWIG_1

    public static final long Dataset_CreateLayer__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, long jarg3, SpatialReference jarg3_, int jarg4)

  - ### Dataset_CreateLayer__SWIG_2

    public static final long Dataset_CreateLayer__SWIG_2(long jarg1, Dataset jarg1_, String jarg2, long jarg3, SpatialReference jarg3_)

  - ### Dataset_CreateLayer__SWIG_3

    public static final long Dataset_CreateLayer__SWIG_3(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_CopyLayer__SWIG_0

    public static final long Dataset_CopyLayer__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_, String jarg3, Vector jarg4)

  - ### Dataset_CopyLayer__SWIG_1

    public static final long Dataset_CopyLayer__SWIG_1(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_, String jarg3)

  - ### Dataset_DeleteLayer

    public static final int Dataset_DeleteLayer(long jarg1, Dataset jarg1_, int jarg2)

  - ### Dataset_GetLayerCount

    public static final int Dataset_GetLayerCount(long jarg1, Dataset jarg1_)

  - ### Dataset_IsLayerPrivate

    public static final boolean Dataset_IsLayerPrivate(long jarg1, Dataset jarg1_, int jarg2)

  - ### Dataset_GetLayerByIndex

    public static final long Dataset_GetLayerByIndex(long jarg1, Dataset jarg1_, int jarg2)

  - ### Dataset_GetLayerByName

    public static final long Dataset_GetLayerByName(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_ResetReading

    public static final void Dataset_ResetReading(long jarg1, Dataset jarg1_)

  - ### Dataset_GetNextFeature

    public static final long Dataset_GetNextFeature(long jarg1, Dataset jarg1_)

  - ### Dataset_TestCapability

    public static final boolean Dataset_TestCapability(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_ExecuteSQL__SWIG_0

    public static final long Dataset_ExecuteSQL__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, long jarg3, Geometry jarg3_, String jarg4)

  - ### Dataset_ExecuteSQL__SWIG_1

    public static final long Dataset_ExecuteSQL__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, long jarg3, Geometry jarg3_)

  - ### Dataset_ExecuteSQL__SWIG_2

    public static final long Dataset_ExecuteSQL__SWIG_2(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_ReleaseResultSet

    public static final void Dataset_ReleaseResultSet(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_)

  - ### Dataset_GetStyleTable

    public static final long Dataset_GetStyleTable(long jarg1, Dataset jarg1_)

  - ### Dataset_SetStyleTable

    public static final void Dataset_SetStyleTable(long jarg1, Dataset jarg1_, long jarg2, StyleTable jarg2_)

  - ### Dataset_AbortSQL

    public static final int Dataset_AbortSQL(long jarg1, Dataset jarg1_)

  - ### Dataset_StartTransaction__SWIG_0

    public static final int Dataset_StartTransaction__SWIG_0(long jarg1, Dataset jarg1_, int jarg2)

  - ### Dataset_StartTransaction__SWIG_1

    public static final int Dataset_StartTransaction__SWIG_1(long jarg1, Dataset jarg1_)

  - ### Dataset_CommitTransaction

    public static final int Dataset_CommitTransaction(long jarg1, Dataset jarg1_)

  - ### Dataset_RollbackTransaction

    public static final int Dataset_RollbackTransaction(long jarg1, Dataset jarg1_)

  - ### Dataset_ClearStatistics

    public static final void Dataset_ClearStatistics(long jarg1, Dataset jarg1_)

  - ### Dataset_GetFieldDomainNames__SWIG_0

    public static final Vector Dataset_GetFieldDomainNames__SWIG_0(long jarg1, Dataset jarg1_, Vector jarg2)

  - ### Dataset_GetFieldDomainNames__SWIG_1

    public static final Vector Dataset_GetFieldDomainNames__SWIG_1(long jarg1, Dataset jarg1_)

  - ### Dataset_GetFieldDomain

    public static final long Dataset_GetFieldDomain(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_AddFieldDomain

    public static final boolean Dataset_AddFieldDomain(long jarg1, Dataset jarg1_, long jarg2, FieldDomain jarg2_)

  - ### Dataset_DeleteFieldDomain

    public static final boolean Dataset_DeleteFieldDomain(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_UpdateFieldDomain

    public static final boolean Dataset_UpdateFieldDomain(long jarg1, Dataset jarg1_, long jarg2, FieldDomain jarg2_)

  - ### Dataset_GetRelationshipNames__SWIG_0

    public static final Vector Dataset_GetRelationshipNames__SWIG_0(long jarg1, Dataset jarg1_, Vector jarg2)

  - ### Dataset_GetRelationshipNames__SWIG_1

    public static final Vector Dataset_GetRelationshipNames__SWIG_1(long jarg1, Dataset jarg1_)

  - ### Dataset_GetRelationship

    public static final long Dataset_GetRelationship(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_AddRelationship

    public static final boolean Dataset_AddRelationship(long jarg1, Dataset jarg1_, long jarg2, Relationship jarg2_)

  - ### Dataset_DeleteRelationship

    public static final boolean Dataset_DeleteRelationship(long jarg1, Dataset jarg1_, String jarg2)

  - ### Dataset_UpdateRelationship

    public static final boolean Dataset_UpdateRelationship(long jarg1, Dataset jarg1_, long jarg2, Relationship jarg2_)

  - ### Dataset_ReadRaster_Direct__SWIG_0

    public static final int Dataset_ReadRaster_Direct__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_ReadRaster_Direct__SWIG_1

    public static final int Dataset_ReadRaster_Direct__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_ReadRaster_Direct__SWIG_2

    public static final int Dataset_ReadRaster_Direct__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13)

  - ### Dataset_ReadRaster_Direct__SWIG_3

    public static final int Dataset_ReadRaster_Direct__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11)

  - ### Dataset_ReadRaster__SWIG_0

    public static final int Dataset_ReadRaster__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_ReadRaster__SWIG_1

    public static final int Dataset_ReadRaster__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_ReadRaster__SWIG_2

    public static final int Dataset_ReadRaster__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_ReadRaster__SWIG_3

    public static final int Dataset_ReadRaster__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11)

  - ### Dataset_ReadRaster__SWIG_4

    public static final int Dataset_ReadRaster__SWIG_4(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_ReadRaster__SWIG_5

    public static final int Dataset_ReadRaster__SWIG_5(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_ReadRaster__SWIG_6

    public static final int Dataset_ReadRaster__SWIG_6(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_ReadRaster__SWIG_7

    public static final int Dataset_ReadRaster__SWIG_7(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11)

  - ### Dataset_ReadRaster__SWIG_8

    public static final int Dataset_ReadRaster__SWIG_8(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_ReadRaster__SWIG_9

    public static final int Dataset_ReadRaster__SWIG_9(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_ReadRaster__SWIG_10

    public static final int Dataset_ReadRaster__SWIG_10(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_ReadRaster__SWIG_11

    public static final int Dataset_ReadRaster__SWIG_11(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11)

  - ### Dataset_ReadRaster__SWIG_12

    public static final int Dataset_ReadRaster__SWIG_12(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_ReadRaster__SWIG_13

    public static final int Dataset_ReadRaster__SWIG_13(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_ReadRaster__SWIG_14

    public static final int Dataset_ReadRaster__SWIG_14(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_ReadRaster__SWIG_15

    public static final int Dataset_ReadRaster__SWIG_15(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11)

  - ### Dataset_ReadRaster__SWIG_16

    public static final int Dataset_ReadRaster__SWIG_16(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_ReadRaster__SWIG_17

    public static final int Dataset_ReadRaster__SWIG_17(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_ReadRaster__SWIG_18

    public static final int Dataset_ReadRaster__SWIG_18(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_ReadRaster__SWIG_19

    public static final int Dataset_ReadRaster__SWIG_19(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11)

  - ### Dataset_WriteRaster_Direct__SWIG_0

    public static final int Dataset_WriteRaster_Direct__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_WriteRaster_Direct__SWIG_1

    public static final int Dataset_WriteRaster_Direct__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_WriteRaster_Direct__SWIG_2

    public static final int Dataset_WriteRaster_Direct__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11, int jarg13)

  - ### Dataset_WriteRaster_Direct__SWIG_3

    public static final int Dataset_WriteRaster_Direct__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int[] jarg11)

  - ### Dataset_WriteRaster__SWIG_0

    public static final int Dataset_WriteRaster__SWIG_0(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_WriteRaster__SWIG_1

    public static final int Dataset_WriteRaster__SWIG_1(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_WriteRaster__SWIG_2

    public static final int Dataset_WriteRaster__SWIG_2(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_WriteRaster__SWIG_3

    public static final int Dataset_WriteRaster__SWIG_3(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11)

  - ### Dataset_WriteRaster__SWIG_4

    public static final int Dataset_WriteRaster__SWIG_4(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_WriteRaster__SWIG_5

    public static final int Dataset_WriteRaster__SWIG_5(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_WriteRaster__SWIG_6

    public static final int Dataset_WriteRaster__SWIG_6(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_WriteRaster__SWIG_7

    public static final int Dataset_WriteRaster__SWIG_7(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11)

  - ### Dataset_WriteRaster__SWIG_8

    public static final int Dataset_WriteRaster__SWIG_8(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_WriteRaster__SWIG_9

    public static final int Dataset_WriteRaster__SWIG_9(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_WriteRaster__SWIG_10

    public static final int Dataset_WriteRaster__SWIG_10(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_WriteRaster__SWIG_11

    public static final int Dataset_WriteRaster__SWIG_11(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11)

  - ### Dataset_WriteRaster__SWIG_12

    public static final int Dataset_WriteRaster__SWIG_12(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_WriteRaster__SWIG_13

    public static final int Dataset_WriteRaster__SWIG_13(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_WriteRaster__SWIG_14

    public static final int Dataset_WriteRaster__SWIG_14(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_WriteRaster__SWIG_15

    public static final int Dataset_WriteRaster__SWIG_15(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11)

  - ### Dataset_WriteRaster__SWIG_16

    public static final int Dataset_WriteRaster__SWIG_16(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)

  - ### Dataset_WriteRaster__SWIG_17

    public static final int Dataset_WriteRaster__SWIG_17(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14)

  - ### Dataset_WriteRaster__SWIG_18

    public static final int Dataset_WriteRaster__SWIG_18(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13)

  - ### Dataset_WriteRaster__SWIG_19

    public static final int Dataset_WriteRaster__SWIG_19(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11)

  - ### GEDTST_NONE_get

    public static final int GEDTST_NONE_get()

  - ### GEDTST_JSON_get

    public static final int GEDTST_JSON_get()

  - ### delete_Group

    public static final void delete_Group(long jarg1)

  - ### Group_GetName

    public static final String Group_GetName(long jarg1, Group jarg1_)

  - ### Group_GetFullName

    public static final String Group_GetFullName(long jarg1, Group jarg1_)

  - ### Group_GetMDArrayNames__SWIG_0

    public static final Vector Group_GetMDArrayNames__SWIG_0(long jarg1, Group jarg1_, Vector jarg2)

  - ### Group_GetMDArrayNames__SWIG_1

    public static final Vector Group_GetMDArrayNames__SWIG_1(long jarg1, Group jarg1_)

  - ### Group_OpenMDArray__SWIG_0

    public static final long Group_OpenMDArray__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)

  - ### Group_OpenMDArray__SWIG_1

    public static final long Group_OpenMDArray__SWIG_1(long jarg1, Group jarg1_, String jarg2)

  - ### Group_OpenMDArrayFromFullname__SWIG_0

    public static final long Group_OpenMDArrayFromFullname__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)

  - ### Group_OpenMDArrayFromFullname__SWIG_1

    public static final long Group_OpenMDArrayFromFullname__SWIG_1(long jarg1, Group jarg1_, String jarg2)

  - ### Group_ResolveMDArray__SWIG_0

    public static final long Group_ResolveMDArray__SWIG_0(long jarg1, Group jarg1_, String jarg2, String jarg3, Vector jarg4)

  - ### Group_ResolveMDArray__SWIG_1

    public static final long Group_ResolveMDArray__SWIG_1(long jarg1, Group jarg1_, String jarg2, String jarg3)

  - ### Group_GetGroupNames__SWIG_0

    public static final Vector Group_GetGroupNames__SWIG_0(long jarg1, Group jarg1_, Vector jarg2)

  - ### Group_GetGroupNames__SWIG_1

    public static final Vector Group_GetGroupNames__SWIG_1(long jarg1, Group jarg1_)

  - ### Group_OpenGroup__SWIG_0

    public static final long Group_OpenGroup__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)

  - ### Group_OpenGroup__SWIG_1

    public static final long Group_OpenGroup__SWIG_1(long jarg1, Group jarg1_, String jarg2)

  - ### Group_OpenGroupFromFullname__SWIG_0

    public static final long Group_OpenGroupFromFullname__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)

  - ### Group_OpenGroupFromFullname__SWIG_1

    public static final long Group_OpenGroupFromFullname__SWIG_1(long jarg1, Group jarg1_, String jarg2)

  - ### Group_GetVectorLayerNames__SWIG_0

    public static final Vector Group_GetVectorLayerNames__SWIG_0(long jarg1, Group jarg1_, Vector jarg2)

  - ### Group_GetVectorLayerNames__SWIG_1

    public static final Vector Group_GetVectorLayerNames__SWIG_1(long jarg1, Group jarg1_)

  - ### Group_OpenVectorLayer__SWIG_0

    public static final long Group_OpenVectorLayer__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)

  - ### Group_OpenVectorLayer__SWIG_1

    public static final long Group_OpenVectorLayer__SWIG_1(long jarg1, Group jarg1_, String jarg2)

  - ### Group_GetAttribute

    public static final long Group_GetAttribute(long jarg1, Group jarg1_, String jarg2)

  - ### Group_GetStructuralInfo

    public static final Hashtable Group_GetStructuralInfo(long jarg1, Group jarg1_)

  - ### Group_CreateGroup__SWIG_0

    public static final long Group_CreateGroup__SWIG_0(long jarg1, Group jarg1_, String jarg2, Vector jarg3)

  - ### Group_CreateGroup__SWIG_1

    public static final long Group_CreateGroup__SWIG_1(long jarg1, Group jarg1_, String jarg2)

  - ### Group_CreateDimension__SWIG_0

    public static final long Group_CreateDimension__SWIG_0(long jarg1, Group jarg1_, String jarg2, String jarg3, String jarg4, BigInteger jarg5, Vector jarg6)

  - ### Group_CreateDimension__SWIG_1

    public static final long Group_CreateDimension__SWIG_1(long jarg1, Group jarg1_, String jarg2, String jarg3, String jarg4, BigInteger jarg5)

  - ### Group_CreateAttribute__SWIG_0

    public static final long Group_CreateAttribute__SWIG_0(long jarg1, Group jarg1_, String jarg2, int jarg3, long jarg4, long jarg5, ExtendedDataType jarg5_, Vector jarg6)

  - ### Group_CreateAttribute__SWIG_1

    public static final long Group_CreateAttribute__SWIG_1(long jarg1, Group jarg1_, String jarg2, int jarg3, long jarg4, long jarg5, ExtendedDataType jarg5_)

  - ### Statistics_min_get

    public static final double Statistics_min_get(long jarg1, Statistics jarg1_)

  - ### Statistics_max_get

    public static final double Statistics_max_get(long jarg1, Statistics jarg1_)

  - ### Statistics_mean_get

    public static final double Statistics_mean_get(long jarg1, Statistics jarg1_)

  - ### Statistics_std_dev_get

    public static final double Statistics_std_dev_get(long jarg1, Statistics jarg1_)

  - ### Statistics_valid_count_get

    public static final long Statistics_valid_count_get(long jarg1, Statistics jarg1_)

  - ### delete_Statistics

    public static final void delete_Statistics(long jarg1)

  - ### new_Statistics

    public static final long new_Statistics()

  - ### delete_MDArray

    public static final void delete_MDArray(long jarg1)

  - ### MDArray_GetName

    public static final String MDArray_GetName(long jarg1, MDArray jarg1_)

  - ### MDArray_GetFullName

    public static final String MDArray_GetFullName(long jarg1, MDArray jarg1_)

  - ### MDArray_GetTotalElementsCount

    public static final BigInteger MDArray_GetTotalElementsCount(long jarg1, MDArray jarg1_)

  - ### MDArray_GetDimensionCount

    public static final long MDArray_GetDimensionCount(long jarg1, MDArray jarg1_)

  - ### MDArray_GetDataType

    public static final long MDArray_GetDataType(long jarg1, MDArray jarg1_)

  - ### MDArray_GetStructuralInfo

    public static final Hashtable MDArray_GetStructuralInfo(long jarg1, MDArray jarg1_)

  - ### MDArray_Resize__SWIG_0

    public static final int MDArray_Resize__SWIG_0(long jarg1, MDArray jarg1_, int jarg2, long jarg3, Vector jarg4)

  - ### MDArray_Resize__SWIG_1

    public static final int MDArray_Resize__SWIG_1(long jarg1, MDArray jarg1_, int jarg2, long jarg3)

  - ### MDArray_GetAttribute

    public static final long MDArray_GetAttribute(long jarg1, MDArray jarg1_, String jarg2)

  - ### MDArray_CreateAttribute__SWIG_0

    public static final long MDArray_CreateAttribute__SWIG_0(long jarg1, MDArray jarg1_, String jarg2, int jarg3, long jarg4, long jarg5, ExtendedDataType jarg5_, Vector jarg6)

  - ### MDArray_CreateAttribute__SWIG_1

    public static final long MDArray_CreateAttribute__SWIG_1(long jarg1, MDArray jarg1_, String jarg2, int jarg3, long jarg4, long jarg5, ExtendedDataType jarg5_)

  - ### MDArray_GetNoDataValueAsDouble

    public static final void MDArray_GetNoDataValueAsDouble(long jarg1, MDArray jarg1_, Double[] jarg2)

  - ### MDArray_GetNoDataValueAsString

    public static final String MDArray_GetNoDataValueAsString(long jarg1, MDArray jarg1_)

  - ### MDArray_SetNoDataValueDouble

    public static final int MDArray_SetNoDataValueDouble(long jarg1, MDArray jarg1_, double jarg2)

  - ### MDArray_SetNoDataValueString

    public static final int MDArray_SetNoDataValueString(long jarg1, MDArray jarg1_, String jarg2)

  - ### MDArray_DeleteNoDataValue

    public static final int MDArray_DeleteNoDataValue(long jarg1, MDArray jarg1_)

  - ### MDArray_GetOffset

    public static final void MDArray_GetOffset(long jarg1, MDArray jarg1_, Double[] jarg2)

  - ### MDArray_GetOffsetStorageType

    public static final int MDArray_GetOffsetStorageType(long jarg1, MDArray jarg1_)

  - ### MDArray_GetScale

    public static final void MDArray_GetScale(long jarg1, MDArray jarg1_, Double[] jarg2)

  - ### MDArray_GetScaleStorageType

    public static final int MDArray_GetScaleStorageType(long jarg1, MDArray jarg1_)

  - ### MDArray_SetOffset__SWIG_0

    public static final int MDArray_SetOffset__SWIG_0(long jarg1, MDArray jarg1_, double jarg2, int jarg3)

  - ### MDArray_SetOffset__SWIG_1

    public static final int MDArray_SetOffset__SWIG_1(long jarg1, MDArray jarg1_, double jarg2)

  - ### MDArray_SetScale__SWIG_0

    public static final int MDArray_SetScale__SWIG_0(long jarg1, MDArray jarg1_, double jarg2, int jarg3)

  - ### MDArray_SetScale__SWIG_1

    public static final int MDArray_SetScale__SWIG_1(long jarg1, MDArray jarg1_, double jarg2)

  - ### MDArray_SetUnit

    public static final int MDArray_SetUnit(long jarg1, MDArray jarg1_, String jarg2)

  - ### MDArray_GetUnit

    public static final String MDArray_GetUnit(long jarg1, MDArray jarg1_)

  - ### MDArray_SetSpatialRef

    public static final int MDArray_SetSpatialRef(long jarg1, MDArray jarg1_, long jarg2, SpatialReference jarg2_)

  - ### MDArray_GetSpatialRef

    public static final long MDArray_GetSpatialRef(long jarg1, MDArray jarg1_)

  - ### MDArray_GetView

    public static final long MDArray_GetView(long jarg1, MDArray jarg1_, String jarg2)

  - ### MDArray_Transpose

    public static final long MDArray_Transpose(long jarg1, MDArray jarg1_, int[] jarg2)

  - ### MDArray_GetUnscaled

    public static final long MDArray_GetUnscaled(long jarg1, MDArray jarg1_)

  - ### MDArray_GetMask__SWIG_0

    public static final long MDArray_GetMask__SWIG_0(long jarg1, MDArray jarg1_, Vector jarg2)

  - ### MDArray_GetMask__SWIG_1

    public static final long MDArray_GetMask__SWIG_1(long jarg1, MDArray jarg1_)

  - ### MDArray_GetGridded__SWIG_0

    public static final long MDArray_GetGridded__SWIG_0(long jarg1, MDArray jarg1_, String jarg2, long jarg3, MDArray jarg3_, long jarg4, MDArray jarg4_, Vector jarg5)

  - ### MDArray_GetGridded__SWIG_1

    public static final long MDArray_GetGridded__SWIG_1(long jarg1, MDArray jarg1_, String jarg2, long jarg3, MDArray jarg3_, long jarg4, MDArray jarg4_)

  - ### MDArray_GetGridded__SWIG_2

    public static final long MDArray_GetGridded__SWIG_2(long jarg1, MDArray jarg1_, String jarg2, long jarg3, MDArray jarg3_)

  - ### MDArray_GetGridded__SWIG_3

    public static final long MDArray_GetGridded__SWIG_3(long jarg1, MDArray jarg1_, String jarg2)

  - ### MDArray_AsClassicDataset

    public static final long MDArray_AsClassicDataset(long jarg1, MDArray jarg1_, long jarg2, long jarg3)

  - ### MDArray_GetStatistics__SWIG_0

    public static final long MDArray_GetStatistics__SWIG_0(long jarg1, MDArray jarg1_, boolean jarg2, boolean jarg3, ProgressCallback jarg4)

  - ### MDArray_GetStatistics__SWIG_2

    public static final long MDArray_GetStatistics__SWIG_2(long jarg1, MDArray jarg1_, boolean jarg2, boolean jarg3)

  - ### MDArray_GetStatistics__SWIG_3

    public static final long MDArray_GetStatistics__SWIG_3(long jarg1, MDArray jarg1_, boolean jarg2)

  - ### MDArray_GetStatistics__SWIG_4

    public static final long MDArray_GetStatistics__SWIG_4(long jarg1, MDArray jarg1_)

  - ### MDArray_ComputeStatistics__SWIG_0

    public static final long MDArray_ComputeStatistics__SWIG_0(long jarg1, MDArray jarg1_, boolean jarg2, ProgressCallback jarg3)

  - ### MDArray_ComputeStatistics__SWIG_2

    public static final long MDArray_ComputeStatistics__SWIG_2(long jarg1, MDArray jarg1_, boolean jarg2)

  - ### MDArray_ComputeStatistics__SWIG_3

    public static final long MDArray_ComputeStatistics__SWIG_3(long jarg1, MDArray jarg1_)

  - ### MDArray_Cache__SWIG_0

    public static final boolean MDArray_Cache__SWIG_0(long jarg1, MDArray jarg1_, Vector jarg2)

  - ### MDArray_Cache__SWIG_1

    public static final boolean MDArray_Cache__SWIG_1(long jarg1, MDArray jarg1_)

  - ### delete_Attribute

    public static final void delete_Attribute(long jarg1)

  - ### Attribute_GetName

    public static final String Attribute_GetName(long jarg1, Attribute jarg1_)

  - ### Attribute_GetFullName

    public static final String Attribute_GetFullName(long jarg1, Attribute jarg1_)

  - ### Attribute_GetTotalElementsCount

    public static final BigInteger Attribute_GetTotalElementsCount(long jarg1, Attribute jarg1_)

  - ### Attribute_GetDimensionCount

    public static final long Attribute_GetDimensionCount(long jarg1, Attribute jarg1_)

  - ### Attribute_GetDataType

    public static final long Attribute_GetDataType(long jarg1, Attribute jarg1_)

  - ### Attribute_ReadAsString

    public static final String Attribute_ReadAsString(long jarg1, Attribute jarg1_)

  - ### Attribute_ReadAsInt

    public static final int Attribute_ReadAsInt(long jarg1, Attribute jarg1_)

  - ### Attribute_ReadAsDouble

    public static final double Attribute_ReadAsDouble(long jarg1, Attribute jarg1_)

  - ### Attribute_ReadAsStringArray

    public static final Vector Attribute_ReadAsStringArray(long jarg1, Attribute jarg1_)

  - ### Attribute_WriteString

    public static final int Attribute_WriteString(long jarg1, Attribute jarg1_, String jarg2)

  - ### Attribute_WriteStringArray

    public static final int Attribute_WriteStringArray(long jarg1, Attribute jarg1_, Vector jarg2)

  - ### Attribute_WriteInt

    public static final int Attribute_WriteInt(long jarg1, Attribute jarg1_, int jarg2)

  - ### Attribute_WriteDouble

    public static final int Attribute_WriteDouble(long jarg1, Attribute jarg1_, double jarg2)

  - ### delete_Dimension

    public static final void delete_Dimension(long jarg1)

  - ### Dimension_GetName

    public static final String Dimension_GetName(long jarg1, Dimension jarg1_)

  - ### Dimension_GetFullName

    public static final String Dimension_GetFullName(long jarg1, Dimension jarg1_)

  - ### Dimension_GetFieldType

    public static final String Dimension_GetFieldType(long jarg1, Dimension jarg1_)

  - ### Dimension_GetDirection

    public static final String Dimension_GetDirection(long jarg1, Dimension jarg1_)

  - ### Dimension_GetSize

    public static final BigInteger Dimension_GetSize(long jarg1, Dimension jarg1_)

  - ### Dimension_GetIndexingVariable

    public static final long Dimension_GetIndexingVariable(long jarg1, Dimension jarg1_)

  - ### Dimension_SetIndexingVariable

    public static final boolean Dimension_SetIndexingVariable(long jarg1, Dimension jarg1_, long jarg2, MDArray jarg2_)

  - ### delete_ExtendedDataType

    public static final void delete_ExtendedDataType(long jarg1)

  - ### ExtendedDataType_Create

    public static final long ExtendedDataType_Create(int jarg1)

  - ### ExtendedDataType_CreateString__SWIG_0

    public static final long ExtendedDataType_CreateString__SWIG_0(long jarg1, int jarg2)

  - ### ExtendedDataType_CreateString__SWIG_1

    public static final long ExtendedDataType_CreateString__SWIG_1(long jarg1)

  - ### ExtendedDataType_CreateString__SWIG_2

    public static final long ExtendedDataType_CreateString__SWIG_2()

  - ### ExtendedDataType_GetName

    public static final String ExtendedDataType_GetName(long jarg1, ExtendedDataType jarg1_)

  - ### ExtendedDataType_GetClass

    public static final int ExtendedDataType_GetClass(long jarg1, ExtendedDataType jarg1_)

  - ### ExtendedDataType_GetNumericDataType

    public static final int ExtendedDataType_GetNumericDataType(long jarg1, ExtendedDataType jarg1_)

  - ### ExtendedDataType_GetSize

    public static final long ExtendedDataType_GetSize(long jarg1, ExtendedDataType jarg1_)

  - ### ExtendedDataType_GetMaxStringLength

    public static final long ExtendedDataType_GetMaxStringLength(long jarg1, ExtendedDataType jarg1_)

  - ### ExtendedDataType_GetSubType

    public static final int ExtendedDataType_GetSubType(long jarg1, ExtendedDataType jarg1_)

  - ### ExtendedDataType_CanConvertTo

    public static final boolean ExtendedDataType_CanConvertTo(long jarg1, ExtendedDataType jarg1_, long jarg2, ExtendedDataType jarg2_)

  - ### ExtendedDataType_Equals

    public static final boolean ExtendedDataType_Equals(long jarg1, ExtendedDataType jarg1_, long jarg2, ExtendedDataType jarg2_)

  - ### delete_EDTComponent

    public static final void delete_EDTComponent(long jarg1)

  - ### EDTComponent_Create

    public static final long EDTComponent_Create(String jarg1, long jarg2, long jarg3, ExtendedDataType jarg3_)

  - ### EDTComponent_GetName

    public static final String EDTComponent_GetName(long jarg1, EDTComponent jarg1_)

  - ### EDTComponent_GetOffset

    public static final long EDTComponent_GetOffset(long jarg1, EDTComponent jarg1_)

  - ### EDTComponent_GetFieldType

    public static final long EDTComponent_GetFieldType(long jarg1, EDTComponent jarg1_)

  - ### Band_XSize_get

    public static final int Band_XSize_get(long jarg1, Band jarg1_)

  - ### Band_YSize_get

    public static final int Band_YSize_get(long jarg1, Band jarg1_)

  - ### Band_DataType_get

    public static final int Band_DataType_get(long jarg1, Band jarg1_)

  - ### Band_GetDataset

    public static final long Band_GetDataset(long jarg1, Band jarg1_)

  - ### Band_GetBand

    public static final int Band_GetBand(long jarg1, Band jarg1_)

  - ### Band_GetBlockSize

    public static final void Band_GetBlockSize(long jarg1, Band jarg1_, int[] jarg2, int[] jarg3)

  - ### Band_GetColorInterpretation

    public static final int Band_GetColorInterpretation(long jarg1, Band jarg1_)

  - ### Band_GetRasterColorInterpretation

    public static final int Band_GetRasterColorInterpretation(long jarg1, Band jarg1_)

  - ### Band_SetColorInterpretation

    public static final int Band_SetColorInterpretation(long jarg1, Band jarg1_, int jarg2)

  - ### Band_SetRasterColorInterpretation

    public static final int Band_SetRasterColorInterpretation(long jarg1, Band jarg1_, int jarg2)

  - ### Band_GetNoDataValue

    public static final void Band_GetNoDataValue(long jarg1, Band jarg1_, Double[] jarg2)

  - ### Band_SetNoDataValue

    public static final int Band_SetNoDataValue(long jarg1, Band jarg1_, double jarg2)

  - ### Band_DeleteNoDataValue

    public static final int Band_DeleteNoDataValue(long jarg1, Band jarg1_)

  - ### Band_GetUnitType

    public static final String Band_GetUnitType(long jarg1, Band jarg1_)

  - ### Band_SetUnitType

    public static final int Band_SetUnitType(long jarg1, Band jarg1_, String jarg2)

  - ### Band_GetRasterCategoryNames

    public static final Vector Band_GetRasterCategoryNames(long jarg1, Band jarg1_)

  - ### Band_SetRasterCategoryNames

    public static final int Band_SetRasterCategoryNames(long jarg1, Band jarg1_, Vector jarg2)

  - ### Band_GetMinimum

    public static final void Band_GetMinimum(long jarg1, Band jarg1_, Double[] jarg2)

  - ### Band_GetMaximum

    public static final void Band_GetMaximum(long jarg1, Band jarg1_, Double[] jarg2)

  - ### Band_GetOffset

    public static final void Band_GetOffset(long jarg1, Band jarg1_, Double[] jarg2)

  - ### Band_GetScale

    public static final void Band_GetScale(long jarg1, Band jarg1_, Double[] jarg2)

  - ### Band_SetOffset

    public static final int Band_SetOffset(long jarg1, Band jarg1_, double jarg2)

  - ### Band_SetScale

    public static final int Band_SetScale(long jarg1, Band jarg1_, double jarg2)

  - ### Band_GetStatistics

    public static final int Band_GetStatistics(long jarg1, Band jarg1_, int jarg2, int jarg3, double[] jarg4, double[] jarg5, double[] jarg6, double[] jarg7)

  - ### Band_ComputeStatistics__SWIG_0

    public static final int Band_ComputeStatistics__SWIG_0(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5, double[] jarg6, ProgressCallback jarg7)

  - ### Band_ComputeStatistics__SWIG_2

    public static final int Band_ComputeStatistics__SWIG_2(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5, double[] jarg6)

  - ### Band_SetStatistics

    public static final int Band_SetStatistics(long jarg1, Band jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)

  - ### Band_GetOverviewCount

    public static final int Band_GetOverviewCount(long jarg1, Band jarg1_)

  - ### Band_GetOverview

    public static final long Band_GetOverview(long jarg1, Band jarg1_, int jarg2)

  - ### Band_Checksum

    public static final int Band_Checksum(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)

  - ### Band_ComputeRasterMinMax__SWIG_0

    public static final void Band_ComputeRasterMinMax__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, int jarg3)

  - ### Band_ComputeRasterMinMax__SWIG_1

    public static final void Band_ComputeRasterMinMax__SWIG_1(long jarg1, Band jarg1_, double[] jarg2)

  - ### Band_ComputeBandStats__SWIG_0

    public static final void Band_ComputeBandStats__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, int jarg3)

  - ### Band_ComputeBandStats__SWIG_1

    public static final void Band_ComputeBandStats__SWIG_1(long jarg1, Band jarg1_, double[] jarg2)

  - ### Band_Fill__SWIG_0

    public static final int Band_Fill__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3)

  - ### Band_Fill__SWIG_1

    public static final int Band_Fill__SWIG_1(long jarg1, Band jarg1_, double jarg2)

  - ### Band_FlushCache

    public static final void Band_FlushCache(long jarg1, Band jarg1_)

  - ### Band_GetRasterColorTable

    public static final long Band_GetRasterColorTable(long jarg1, Band jarg1_)

  - ### Band_GetColorTable

    public static final long Band_GetColorTable(long jarg1, Band jarg1_)

  - ### Band_SetRasterColorTable

    public static final int Band_SetRasterColorTable(long jarg1, Band jarg1_, long jarg2, ColorTable jarg2_)

  - ### Band_SetColorTable

    public static final int Band_SetColorTable(long jarg1, Band jarg1_, long jarg2, ColorTable jarg2_)

  - ### Band_GetDefaultRAT

    public static final long Band_GetDefaultRAT(long jarg1, Band jarg1_)

  - ### Band_SetDefaultRAT

    public static final int Band_SetDefaultRAT(long jarg1, Band jarg1_, long jarg2, RasterAttributeTable jarg2_)

  - ### Band_GetMaskBand

    public static final long Band_GetMaskBand(long jarg1, Band jarg1_)

  - ### Band_GetMaskFlags

    public static final int Band_GetMaskFlags(long jarg1, Band jarg1_)

  - ### Band_CreateMaskBand

    public static final int Band_CreateMaskBand(long jarg1, Band jarg1_, int jarg2)

  - ### Band_IsMaskBand

    public static final boolean Band_IsMaskBand(long jarg1, Band jarg1_)

  - ### Band_SetDefaultHistogram

    public static final int Band_SetDefaultHistogram(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4)

  - ### Band_HasArbitraryOverviews

    public static final boolean Band_HasArbitraryOverviews(long jarg1, Band jarg1_)

  - ### Band_GetCategoryNames

    public static final Vector Band_GetCategoryNames(long jarg1, Band jarg1_)

  - ### Band_SetCategoryNames

    public static final int Band_SetCategoryNames(long jarg1, Band jarg1_, Vector jarg2)

  - ### Band_AdviseRead__SWIG_0

    public static final int Band_AdviseRead__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, Vector jarg9)

  - ### Band_AdviseRead__SWIG_1

    public static final int Band_AdviseRead__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8)

  - ### Band_AdviseRead__SWIG_2

    public static final int Band_AdviseRead__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7)

  - ### Band_AdviseRead__SWIG_3

    public static final int Band_AdviseRead__SWIG_3(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6)

  - ### Band_AdviseRead__SWIG_4

    public static final int Band_AdviseRead__SWIG_4(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)

  - ### Band_AsMDArray

    public static final long Band_AsMDArray(long jarg1, Band jarg1_)

  - ### Band__EnablePixelTypeSignedByteWarning

    public static final void Band__EnablePixelTypeSignedByteWarning(long jarg1, Band jarg1_, boolean jarg2)

  - ### Band_ReadRaster_Direct__SWIG_0

    public static final int Band_ReadRaster_Direct__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11, int jarg12)

  - ### Band_ReadRaster_Direct__SWIG_1

    public static final int Band_ReadRaster_Direct__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11)

  - ### Band_ReadRaster_Direct__SWIG_2

    public static final int Band_ReadRaster_Direct__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9)

  - ### Band_ReadRaster__SWIG_0

    public static final int Band_ReadRaster__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11, int jarg12)

  - ### Band_ReadRaster__SWIG_1

    public static final int Band_ReadRaster__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11)

  - ### Band_ReadRaster__SWIG_2

    public static final int Band_ReadRaster__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9)

  - ### Band_ReadRaster__SWIG_3

    public static final int Band_ReadRaster__SWIG_3(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11, int jarg12)

  - ### Band_ReadRaster__SWIG_4

    public static final int Band_ReadRaster__SWIG_4(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11)

  - ### Band_ReadRaster__SWIG_5

    public static final int Band_ReadRaster__SWIG_5(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9)

  - ### Band_ReadRaster__SWIG_6

    public static final int Band_ReadRaster__SWIG_6(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11, int jarg12)

  - ### Band_ReadRaster__SWIG_7

    public static final int Band_ReadRaster__SWIG_7(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11)

  - ### Band_ReadRaster__SWIG_8

    public static final int Band_ReadRaster__SWIG_8(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9)

  - ### Band_ReadRaster__SWIG_9

    public static final int Band_ReadRaster__SWIG_9(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11, int jarg12)

  - ### Band_ReadRaster__SWIG_10

    public static final int Band_ReadRaster__SWIG_10(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11)

  - ### Band_ReadRaster__SWIG_11

    public static final int Band_ReadRaster__SWIG_11(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9)

  - ### Band_ReadRaster__SWIG_12

    public static final int Band_ReadRaster__SWIG_12(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11, int jarg12)

  - ### Band_ReadRaster__SWIG_13

    public static final int Band_ReadRaster__SWIG_13(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11)

  - ### Band_ReadRaster__SWIG_14

    public static final int Band_ReadRaster__SWIG_14(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9)

  - ### Band_WriteRaster_Direct__SWIG_0

    public static final int Band_WriteRaster_Direct__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11, int jarg12)

  - ### Band_WriteRaster_Direct__SWIG_1

    public static final int Band_WriteRaster_Direct__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9, int jarg11)

  - ### Band_WriteRaster_Direct__SWIG_2

    public static final int Band_WriteRaster_Direct__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, ByteBuffer jarg9)

  - ### Band_WriteRaster__SWIG_0

    public static final int Band_WriteRaster__SWIG_0(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11, int jarg12)

  - ### Band_WriteRaster__SWIG_1

    public static final int Band_WriteRaster__SWIG_1(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11)

  - ### Band_WriteRaster__SWIG_2

    public static final int Band_WriteRaster__SWIG_2(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9)

  - ### Band_WriteRaster__SWIG_3

    public static final int Band_WriteRaster__SWIG_3(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11, int jarg12)

  - ### Band_WriteRaster__SWIG_4

    public static final int Band_WriteRaster__SWIG_4(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11)

  - ### Band_WriteRaster__SWIG_5

    public static final int Band_WriteRaster__SWIG_5(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9)

  - ### Band_WriteRaster__SWIG_6

    public static final int Band_WriteRaster__SWIG_6(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11, int jarg12)

  - ### Band_WriteRaster__SWIG_7

    public static final int Band_WriteRaster__SWIG_7(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11)

  - ### Band_WriteRaster__SWIG_8

    public static final int Band_WriteRaster__SWIG_8(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9)

  - ### Band_WriteRaster__SWIG_9

    public static final int Band_WriteRaster__SWIG_9(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11, int jarg12)

  - ### Band_WriteRaster__SWIG_10

    public static final int Band_WriteRaster__SWIG_10(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11)

  - ### Band_WriteRaster__SWIG_11

    public static final int Band_WriteRaster__SWIG_11(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9)

  - ### Band_WriteRaster__SWIG_12

    public static final int Band_WriteRaster__SWIG_12(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11, int jarg12)

  - ### Band_WriteRaster__SWIG_13

    public static final int Band_WriteRaster__SWIG_13(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11)

  - ### Band_WriteRaster__SWIG_14

    public static final int Band_WriteRaster__SWIG_14(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9)

  - ### Band_ReadBlock_Direct

    public static final int Band_ReadBlock_Direct(long jarg1, Band jarg1_, int jarg2, int jarg3, ByteBuffer jarg4)

  - ### Band_WriteBlock_Direct

    public static final int Band_WriteBlock_Direct(long jarg1, Band jarg1_, int jarg2, int jarg3, ByteBuffer jarg4)

  - ### Band_GetHistogram__SWIG_0

    public static final int Band_GetHistogram__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4, boolean jarg6, boolean jarg7, ProgressCallback jarg8)

  - ### Band_GetHistogram__SWIG_1

    public static final int Band_GetHistogram__SWIG_1(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4, boolean jarg6, boolean jarg7)

  - ### Band_GetHistogram__SWIG_2

    public static final int Band_GetHistogram__SWIG_2(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4)

  - ### Band_GetHistogram__SWIG_3

    public static final int Band_GetHistogram__SWIG_3(long jarg1, Band jarg1_, int[] jarg2)

  - ### Band_GetDefaultHistogram__SWIG_0

    public static final int Band_GetDefaultHistogram__SWIG_0(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4, boolean jarg6, ProgressCallback jarg7)

  - ### Band_GetDefaultHistogram__SWIG_2

    public static final int Band_GetDefaultHistogram__SWIG_2(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4, boolean jarg6)

  - ### Band_GetDefaultHistogram__SWIG_3

    public static final int Band_GetDefaultHistogram__SWIG_3(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4)

  - ### new_ColorTable__SWIG_0

    public static final long new_ColorTable__SWIG_0(int jarg1)

  - ### new_ColorTable__SWIG_1

    public static final long new_ColorTable__SWIG_1()

  - ### delete_ColorTable

    public static final void delete_ColorTable(long jarg1)

  - ### ColorTable_Clone

    public static final long ColorTable_Clone(long jarg1, ColorTable jarg1_)

  - ### ColorTable_GetPaletteInterpretation

    public static final int ColorTable_GetPaletteInterpretation(long jarg1, ColorTable jarg1_)

  - ### ColorTable_GetCount

    public static final int ColorTable_GetCount(long jarg1, ColorTable jarg1_)

  - ### ColorTable_GetColorEntry

    public static final Color ColorTable_GetColorEntry(long jarg1, ColorTable jarg1_, int jarg2)

  - ### ColorTable_SetColorEntry

    public static final void ColorTable_SetColorEntry(long jarg1, ColorTable jarg1_, int jarg2, Color jarg3)

  - ### ColorTable_CreateColorRamp

    public static final void ColorTable_CreateColorRamp(long jarg1, ColorTable jarg1_, int jarg2, Color jarg3, int jarg4, Color jarg5)

  - ### new_RasterAttributeTable

    public static final long new_RasterAttributeTable()

  - ### delete_RasterAttributeTable

    public static final void delete_RasterAttributeTable(long jarg1)

  - ### RasterAttributeTable_Clone

    public static final long RasterAttributeTable_Clone(long jarg1, RasterAttributeTable jarg1_)

  - ### RasterAttributeTable_GetColumnCount

    public static final int RasterAttributeTable_GetColumnCount(long jarg1, RasterAttributeTable jarg1_)

  - ### RasterAttributeTable_GetNameOfCol

    public static final String RasterAttributeTable_GetNameOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)

  - ### RasterAttributeTable_GetUsageOfCol

    public static final int RasterAttributeTable_GetUsageOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)

  - ### RasterAttributeTable_GetTypeOfCol

    public static final int RasterAttributeTable_GetTypeOfCol(long jarg1, RasterAttributeTable jarg1_, int jarg2)

  - ### RasterAttributeTable_GetColOfUsage

    public static final int RasterAttributeTable_GetColOfUsage(long jarg1, RasterAttributeTable jarg1_, int jarg2)

  - ### RasterAttributeTable_GetRowCount

    public static final int RasterAttributeTable_GetRowCount(long jarg1, RasterAttributeTable jarg1_)

  - ### RasterAttributeTable_GetValueAsString

    public static final String RasterAttributeTable_GetValueAsString(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)

  - ### RasterAttributeTable_GetValueAsInt

    public static final int RasterAttributeTable_GetValueAsInt(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)

  - ### RasterAttributeTable_GetValueAsDouble

    public static final double RasterAttributeTable_GetValueAsDouble(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)

  - ### RasterAttributeTable_SetValueAsString

    public static final void RasterAttributeTable_SetValueAsString(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, String jarg4)

  - ### RasterAttributeTable_SetValueAsInt

    public static final void RasterAttributeTable_SetValueAsInt(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, int jarg4)

  - ### RasterAttributeTable_SetValueAsDouble

    public static final void RasterAttributeTable_SetValueAsDouble(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, double jarg4)

  - ### RasterAttributeTable_SetRowCount

    public static final void RasterAttributeTable_SetRowCount(long jarg1, RasterAttributeTable jarg1_, int jarg2)

  - ### RasterAttributeTable_CreateColumn

    public static final int RasterAttributeTable_CreateColumn(long jarg1, RasterAttributeTable jarg1_, String jarg2, int jarg3, int jarg4)

  - ### RasterAttributeTable_GetLinearBinning

    public static final boolean RasterAttributeTable_GetLinearBinning(long jarg1, RasterAttributeTable jarg1_, double[] jarg2, double[] jarg3)

  - ### RasterAttributeTable_SetLinearBinning

    public static final int RasterAttributeTable_SetLinearBinning(long jarg1, RasterAttributeTable jarg1_, double jarg2, double jarg3)

  - ### RasterAttributeTable_GetRowOfValue

    public static final int RasterAttributeTable_GetRowOfValue(long jarg1, RasterAttributeTable jarg1_, double jarg2)

  - ### RasterAttributeTable_ChangesAreWrittenToFile

    public static final int RasterAttributeTable_ChangesAreWrittenToFile(long jarg1, RasterAttributeTable jarg1_)

  - ### RasterAttributeTable_DumpReadable

    public static final void RasterAttributeTable_DumpReadable(long jarg1, RasterAttributeTable jarg1_)

  - ### RasterAttributeTable_SetTableType

    public static final void RasterAttributeTable_SetTableType(long jarg1, RasterAttributeTable jarg1_, int jarg2)

  - ### RasterAttributeTable_GetTableType

    public static final int RasterAttributeTable_GetTableType(long jarg1, RasterAttributeTable jarg1_)

  - ### new_Relationship

    public static final long new_Relationship(String jarg1, String jarg2, String jarg3, int jarg4)

  - ### delete_Relationship

    public static final void delete_Relationship(long jarg1)

  - ### Relationship_GetName

    public static final String Relationship_GetName(long jarg1, Relationship jarg1_)

  - ### Relationship_GetCardinality

    public static final int Relationship_GetCardinality(long jarg1, Relationship jarg1_)

  - ### Relationship_GetLeftTableName

    public static final String Relationship_GetLeftTableName(long jarg1, Relationship jarg1_)

  - ### Relationship_GetRightTableName

    public static final String Relationship_GetRightTableName(long jarg1, Relationship jarg1_)

  - ### Relationship_GetMappingTableName

    public static final String Relationship_GetMappingTableName(long jarg1, Relationship jarg1_)

  - ### Relationship_SetMappingTableName

    public static final void Relationship_SetMappingTableName(long jarg1, Relationship jarg1_, String jarg2)

  - ### Relationship_GetLeftTableFields

    public static final Vector Relationship_GetLeftTableFields(long jarg1, Relationship jarg1_)

  - ### Relationship_GetRightTableFields

    public static final Vector Relationship_GetRightTableFields(long jarg1, Relationship jarg1_)

  - ### Relationship_SetLeftTableFields

    public static final void Relationship_SetLeftTableFields(long jarg1, Relationship jarg1_, Vector jarg2)

  - ### Relationship_SetRightTableFields

    public static final void Relationship_SetRightTableFields(long jarg1, Relationship jarg1_, Vector jarg2)

  - ### Relationship_GetLeftMappingTableFields

    public static final Vector Relationship_GetLeftMappingTableFields(long jarg1, Relationship jarg1_)

  - ### Relationship_GetRightMappingTableFields

    public static final Vector Relationship_GetRightMappingTableFields(long jarg1, Relationship jarg1_)

  - ### Relationship_SetLeftMappingTableFields

    public static final void Relationship_SetLeftMappingTableFields(long jarg1, Relationship jarg1_, Vector jarg2)

  - ### Relationship_SetRightMappingTableFields

    public static final void Relationship_SetRightMappingTableFields(long jarg1, Relationship jarg1_, Vector jarg2)

  - ### Relationship_GetFieldType

    public static final int Relationship_GetFieldType(long jarg1, Relationship jarg1_)

  - ### Relationship_SetType

    public static final void Relationship_SetType(long jarg1, Relationship jarg1_, int jarg2)

  - ### Relationship_GetForwardPathLabel

    public static final String Relationship_GetForwardPathLabel(long jarg1, Relationship jarg1_)

  - ### Relationship_SetForwardPathLabel

    public static final void Relationship_SetForwardPathLabel(long jarg1, Relationship jarg1_, String jarg2)

  - ### Relationship_GetBackwardPathLabel

    public static final String Relationship_GetBackwardPathLabel(long jarg1, Relationship jarg1_)

  - ### Relationship_SetBackwardPathLabel

    public static final void Relationship_SetBackwardPathLabel(long jarg1, Relationship jarg1_, String jarg2)

  - ### Relationship_GetRelatedTableType

    public static final String Relationship_GetRelatedTableType(long jarg1, Relationship jarg1_)

  - ### Relationship_SetRelatedTableType

    public static final void Relationship_SetRelatedTableType(long jarg1, Relationship jarg1_, String jarg2)

  - ### ComputeMedianCutPCT__SWIG_0

    public static final int ComputeMedianCutPCT__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, long jarg5, ColorTable jarg5_, ProgressCallback jarg6)

  - ### ComputeMedianCutPCT__SWIG_2

    public static final int ComputeMedianCutPCT__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, long jarg5, ColorTable jarg5_)

  - ### DitherRGB2PCT__SWIG_0

    public static final int DitherRGB2PCT__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, long jarg5, ColorTable jarg5_, ProgressCallback jarg6)

  - ### DitherRGB2PCT__SWIG_2

    public static final int DitherRGB2PCT__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, long jarg5, ColorTable jarg5_)

  - ### ReprojectImage__SWIG_0

    public static final int ReprojectImage__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6, double jarg7, ProgressCallback jarg8, Vector jarg10)

  - ### ReprojectImage__SWIG_1

    public static final int ReprojectImage__SWIG_1(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6, double jarg7, ProgressCallback jarg8)

  - ### ReprojectImage__SWIG_3

    public static final int ReprojectImage__SWIG_3(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6, double jarg7)

  - ### ReprojectImage__SWIG_4

    public static final int ReprojectImage__SWIG_4(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5, double jarg6)

  - ### ReprojectImage__SWIG_5

    public static final int ReprojectImage__SWIG_5(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4, int jarg5)

  - ### ReprojectImage__SWIG_6

    public static final int ReprojectImage__SWIG_6(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3, String jarg4)

  - ### ReprojectImage__SWIG_7

    public static final int ReprojectImage__SWIG_7(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, String jarg3)

  - ### ReprojectImage__SWIG_8

    public static final int ReprojectImage__SWIG_8(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_)

  - ### ComputeProximity__SWIG_0

    public static final int ComputeProximity__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Vector jarg3, ProgressCallback jarg4)

  - ### ComputeProximity__SWIG_2

    public static final int ComputeProximity__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, Vector jarg3)

  - ### ComputeProximity__SWIG_3

    public static final int ComputeProximity__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_)

  - ### RasterizeLayer__SWIG_0

    public static final int RasterizeLayer__SWIG_0(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5, Vector jarg7, ProgressCallback jarg8)

  - ### RasterizeLayer__SWIG_2

    public static final int RasterizeLayer__SWIG_2(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5, Vector jarg7)

  - ### RasterizeLayer__SWIG_3

    public static final int RasterizeLayer__SWIG_3(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5)

  - ### RasterizeLayer__SWIG_5

    public static final int RasterizeLayer__SWIG_5(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_)

  - ### Polygonize__SWIG_0

    public static final int Polygonize__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, Vector jarg5, ProgressCallback jarg6)

  - ### Polygonize__SWIG_2

    public static final int Polygonize__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, Vector jarg5)

  - ### Polygonize__SWIG_3

    public static final int Polygonize__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4)

  - ### FPolygonize__SWIG_0

    public static final int FPolygonize__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, Vector jarg5, ProgressCallback jarg6)

  - ### FPolygonize__SWIG_2

    public static final int FPolygonize__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, Vector jarg5)

  - ### FPolygonize__SWIG_3

    public static final int FPolygonize__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4)

  - ### FillNodata__SWIG_0

    public static final int FillNodata__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4, Vector jarg5, ProgressCallback jarg6)

  - ### FillNodata__SWIG_2

    public static final int FillNodata__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4, Vector jarg5)

  - ### FillNodata__SWIG_3

    public static final int FillNodata__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4)

  - ### SieveFilter__SWIG_0

    public static final int SieveFilter__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5, Vector jarg6, ProgressCallback jarg7)

  - ### SieveFilter__SWIG_2

    public static final int SieveFilter__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5, Vector jarg6)

  - ### SieveFilter__SWIG_3

    public static final int SieveFilter__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5)

  - ### SieveFilter__SWIG_4

    public static final int SieveFilter__SWIG_4(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4)

  - ### RegenerateOverviews__SWIG_0

    public static final int RegenerateOverviews__SWIG_0(long jarg1, Band jarg1_, Band[] jarg2, String jarg4, ProgressCallback jarg5)

  - ### RegenerateOverviews__SWIG_2

    public static final int RegenerateOverviews__SWIG_2(long jarg1, Band jarg1_, Band[] jarg2, String jarg4)

  - ### RegenerateOverviews__SWIG_3

    public static final int RegenerateOverviews__SWIG_3(long jarg1, Band jarg1_, Band[] jarg2)

  - ### RegenerateOverview__SWIG_0

    public static final int RegenerateOverview__SWIG_0(long jarg1, Band jarg1_, long jarg2, Band jarg2_, String jarg3, ProgressCallback jarg4)

  - ### RegenerateOverview__SWIG_2

    public static final int RegenerateOverview__SWIG_2(long jarg1, Band jarg1_, long jarg2, Band jarg2_, String jarg3)

  - ### RegenerateOverview__SWIG_3

    public static final int RegenerateOverview__SWIG_3(long jarg1, Band jarg1_, long jarg2, Band jarg2_)

  - ### GridCreate__SWIG_0

    public static final int GridCreate__SWIG_0(String jarg1, double[][] jarg2, double jarg6, double jarg7, double jarg8, double jarg9, int jarg10, int jarg11, int jarg12, ByteBuffer jarg13, ProgressCallback jarg15)

  - ### GridCreate__SWIG_2

    public static final int GridCreate__SWIG_2(String jarg1, double[][] jarg2, double jarg6, double jarg7, double jarg8, double jarg9, int jarg10, int jarg11, int jarg12, ByteBuffer jarg13)

  - ### ContourGenerate__SWIG_0

    public static final int ContourGenerate__SWIG_0(long jarg1, Band jarg1_, double jarg2, double jarg3, double[] jarg4, int jarg6, double jarg7, long jarg8, Layer jarg8_, int jarg9, int jarg10, ProgressCallback jarg11)

  - ### ContourGenerate__SWIG_2

    public static final int ContourGenerate__SWIG_2(long jarg1, Band jarg1_, double jarg2, double jarg3, double[] jarg4, int jarg6, double jarg7, long jarg8, Layer jarg8_, int jarg9, int jarg10)

  - ### ContourGenerateEx__SWIG_0

    public static final int ContourGenerateEx__SWIG_0(long jarg1, Band jarg1_, long jarg2, Layer jarg2_, Vector jarg3, ProgressCallback jarg4)

  - ### ContourGenerateEx__SWIG_2

    public static final int ContourGenerateEx__SWIG_2(long jarg1, Band jarg1_, long jarg2, Layer jarg2_, Vector jarg3)

  - ### ContourGenerateEx__SWIG_3

    public static final int ContourGenerateEx__SWIG_3(long jarg1, Band jarg1_, long jarg2, Layer jarg2_)

  - ### GVM_Diagonal_get

    public static final int GVM_Diagonal_get()

  - ### GVM_Edge_get

    public static final int GVM_Edge_get()

  - ### GVM_Max_get

    public static final int GVM_Max_get()

  - ### GVM_Min_get

    public static final int GVM_Min_get()

  - ### GVOT_NORMAL_get

    public static final int GVOT_NORMAL_get()

  - ### GVOT_MIN_TARGET_HEIGHT_FROM_DEM_get

    public static final int GVOT_MIN_TARGET_HEIGHT_FROM_DEM_get()

  - ### GVOT_MIN_TARGET_HEIGHT_FROM_GROUND_get

    public static final int GVOT_MIN_TARGET_HEIGHT_FROM_GROUND_get()

  - ### ViewshedGenerate__SWIG_0

    public static final long ViewshedGenerate__SWIG_0(long jarg1, Band jarg1_, String jarg2, String jarg3, Vector jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9, double jarg10, double jarg11, double jarg12, double jarg13, int jarg14, double jarg15, ProgressCallback jarg16, int jarg18, Vector jarg19)

  - ### ViewshedGenerate__SWIG_1

    public static final long ViewshedGenerate__SWIG_1(long jarg1, Band jarg1_, String jarg2, String jarg3, Vector jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9, double jarg10, double jarg11, double jarg12, double jarg13, int jarg14, double jarg15, ProgressCallback jarg16, int jarg18)

  - ### ViewshedGenerate__SWIG_2

    public static final long ViewshedGenerate__SWIG_2(long jarg1, Band jarg1_, String jarg2, String jarg3, Vector jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9, double jarg10, double jarg11, double jarg12, double jarg13, int jarg14, double jarg15, ProgressCallback jarg16)

  - ### ViewshedGenerate__SWIG_4

    public static final long ViewshedGenerate__SWIG_4(long jarg1, Band jarg1_, String jarg2, String jarg3, Vector jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9, double jarg10, double jarg11, double jarg12, double jarg13, int jarg14, double jarg15)

  - ### AutoCreateWarpedVRT__SWIG_0

    public static final long AutoCreateWarpedVRT__SWIG_0(long jarg1, Dataset jarg1_, String jarg2, String jarg3, int jarg4, double jarg5)

  - ### AutoCreateWarpedVRT__SWIG_1

    public static final long AutoCreateWarpedVRT__SWIG_1(long jarg1, Dataset jarg1_, String jarg2, String jarg3, int jarg4)

  - ### AutoCreateWarpedVRT__SWIG_2

    public static final long AutoCreateWarpedVRT__SWIG_2(long jarg1, Dataset jarg1_, String jarg2, String jarg3)

  - ### AutoCreateWarpedVRT__SWIG_3

    public static final long AutoCreateWarpedVRT__SWIG_3(long jarg1, Dataset jarg1_, String jarg2)

  - ### AutoCreateWarpedVRT__SWIG_4

    public static final long AutoCreateWarpedVRT__SWIG_4(long jarg1, Dataset jarg1_)

  - ### CreatePansharpenedVRT

    public static final long CreatePansharpenedVRT(String jarg1, long jarg2, Band jarg2_, Band[] jarg3)

  - ### new_Transformer

    public static final long new_Transformer(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, Vector jarg3)

  - ### delete_Transformer

    public static final void delete_Transformer(long jarg1)

  - ### Transformer_TransformPoint__SWIG_0

    public static final int Transformer_TransformPoint__SWIG_0(long jarg1, Transformer jarg1_, int jarg2, double[] jarg3)

  - ### Transformer_TransformPoint__SWIG_1

    public static final int Transformer_TransformPoint__SWIG_1(long jarg1, Transformer jarg1_, double[] jarg2, int jarg3, double jarg4, double jarg5, double jarg6)

  - ### Transformer_TransformPoint__SWIG_2

    public static final int Transformer_TransformPoint__SWIG_2(long jarg1, Transformer jarg1_, double[] jarg2, int jarg3, double jarg4, double jarg5)

  - ### Transformer_TransformPoints

    public static final int Transformer_TransformPoints(long jarg1, Transformer jarg1_, int jarg2, double[][] jarg3, int[] jarg7)

  - ### Transformer_TransformGeolocations__SWIG_0

    public static final int Transformer_TransformGeolocations__SWIG_0(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, ProgressCallback jarg5, Vector jarg7)

  - ### Transformer_TransformGeolocations__SWIG_1

    public static final int Transformer_TransformGeolocations__SWIG_1(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, ProgressCallback jarg5)

  - ### Transformer_TransformGeolocations__SWIG_3

    public static final int Transformer_TransformGeolocations__SWIG_3(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_)

  - ### ApplyVerticalShiftGrid__SWIG_0

    public static final long ApplyVerticalShiftGrid__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4, double jarg5, Vector jarg6)

  - ### ApplyVerticalShiftGrid__SWIG_1

    public static final long ApplyVerticalShiftGrid__SWIG_1(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4, double jarg5)

  - ### ApplyVerticalShiftGrid__SWIG_2

    public static final long ApplyVerticalShiftGrid__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4)

  - ### ApplyVerticalShiftGrid__SWIG_3

    public static final long ApplyVerticalShiftGrid__SWIG_3(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3)

  - ### ApplyVerticalShiftGrid__SWIG_4

    public static final long ApplyVerticalShiftGrid__SWIG_4(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_)

  - ### ApplyGeoTransform

    public static final void ApplyGeoTransform(double[] jarg1, double jarg2, double jarg3, double[] jarg4, double[] jarg5)

  - ### InvGeoTransform

    public static final int InvGeoTransform(double[] jarg1, double[] jarg2)

  - ### VersionInfo__SWIG_0

    public static final String VersionInfo__SWIG_0(String jarg1)

  - ### VersionInfo__SWIG_1

    public static final String VersionInfo__SWIG_1()

  - ### AllRegister

    public static final void AllRegister()

  - ### GDALDestroyDriverManager

    public static final void GDALDestroyDriverManager()

  - ### GetCacheMax

    public static final int GetCacheMax()

  - ### GetCacheUsed

    public static final int GetCacheUsed()

  - ### SetCacheMax

    public static final void SetCacheMax(int jarg1)

  - ### GetDataTypeSize

    public static final int GetDataTypeSize(int jarg1)

  - ### DataTypeIsComplex

    public static final int DataTypeIsComplex(int jarg1)

  - ### GetDataTypeName

    public static final String GetDataTypeName(int jarg1)

  - ### GetDataTypeByName

    public static final int GetDataTypeByName(String jarg1)

  - ### DataTypeUnion

    public static final int DataTypeUnion(int jarg1, int jarg2)

  - ### GetColorInterpretationName

    public static final String GetColorInterpretationName(int jarg1)

  - ### GetPaletteInterpretationName

    public static final String GetPaletteInterpretationName(int jarg1)

  - ### DecToDMS__SWIG_0

    public static final String DecToDMS__SWIG_0(double jarg1, String jarg2, int jarg3)

  - ### DecToDMS__SWIG_1

    public static final String DecToDMS__SWIG_1(double jarg1, String jarg2)

  - ### PackedDMSToDec

    public static final double PackedDMSToDec(double jarg1)

  - ### DecToPackedDMS

    public static final double DecToPackedDMS(double jarg1)

  - ### ParseXMLString

    public static final long ParseXMLString(String jarg1)

  - ### SerializeXMLTree

    public static final String SerializeXMLTree(long jarg1, XMLNode jarg1_)

  - ### GetJPEG2000StructureAsString__SWIG_0

    public static final String GetJPEG2000StructureAsString__SWIG_0(String jarg1, Vector jarg2)

  - ### GetJPEG2000StructureAsString__SWIG_1

    public static final String GetJPEG2000StructureAsString__SWIG_1(String jarg1)

  - ### HasTriangulation

    public static final int HasTriangulation()

  - ### GetDriverCount

    public static final int GetDriverCount()

  - ### GetDriverByName

    public static final long GetDriverByName(String jarg1)

  - ### GetDriver

    public static final long GetDriver(int jarg1)

  - ### Open__SWIG_0

    public static final long Open__SWIG_0(String jarg1, int jarg2)

  - ### Open__SWIG_1

    public static final long Open__SWIG_1(String jarg1)

  - ### OpenEx__SWIG_0

    public static final long OpenEx__SWIG_0(String jarg1, long jarg2, Vector jarg3, Vector jarg4, Vector jarg5)

  - ### OpenEx__SWIG_1

    public static final long OpenEx__SWIG_1(String jarg1, long jarg2, Vector jarg3, Vector jarg4)

  - ### OpenEx__SWIG_2

    public static final long OpenEx__SWIG_2(String jarg1, long jarg2, Vector jarg3)

  - ### OpenEx__SWIG_3

    public static final long OpenEx__SWIG_3(String jarg1, long jarg2)

  - ### OpenEx__SWIG_4

    public static final long OpenEx__SWIG_4(String jarg1)

  - ### OpenShared__SWIG_0

    public static final long OpenShared__SWIG_0(String jarg1, int jarg2)

  - ### OpenShared__SWIG_1

    public static final long OpenShared__SWIG_1(String jarg1)

  - ### IdentifyDriver__SWIG_0

    public static final long IdentifyDriver__SWIG_0(String jarg1, Vector jarg2)

  - ### IdentifyDriver__SWIG_1

    public static final long IdentifyDriver__SWIG_1(String jarg1)

  - ### IdentifyDriverEx__SWIG_0

    public static final long IdentifyDriverEx__SWIG_0(String jarg1, long jarg2, Vector jarg3, Vector jarg4)

  - ### IdentifyDriverEx__SWIG_1

    public static final long IdentifyDriverEx__SWIG_1(String jarg1, long jarg2, Vector jarg3)

  - ### IdentifyDriverEx__SWIG_2

    public static final long IdentifyDriverEx__SWIG_2(String jarg1, long jarg2)

  - ### IdentifyDriverEx__SWIG_3

    public static final long IdentifyDriverEx__SWIG_3(String jarg1)

  - ### GeneralCmdLineProcessor__SWIG_0

    public static final Vector GeneralCmdLineProcessor__SWIG_0(Vector jarg1, int jarg2)

  - ### GeneralCmdLineProcessor__SWIG_1

    public static final Vector GeneralCmdLineProcessor__SWIG_1(Vector jarg1)

  - ### new_InfoOptions

    public static final long new_InfoOptions(Vector jarg1)

  - ### delete_InfoOptions

    public static final void delete_InfoOptions(long jarg1)

  - ### GDALInfo

    public static final String GDALInfo(long jarg1, Dataset jarg1_, long jarg2, InfoOptions jarg2_)

  - ### new_VectorInfoOptions

    public static final long new_VectorInfoOptions(Vector jarg1)

  - ### delete_VectorInfoOptions

    public static final void delete_VectorInfoOptions(long jarg1)

  - ### GDALVectorInfo

    public static final String GDALVectorInfo(long jarg1, Dataset jarg1_, long jarg2, VectorInfoOptions jarg2_)

  - ### new_MultiDimInfoOptions

    public static final long new_MultiDimInfoOptions(Vector jarg1)

  - ### delete_MultiDimInfoOptions

    public static final void delete_MultiDimInfoOptions(long jarg1)

  - ### GDALMultiDimInfo

    public static final String GDALMultiDimInfo(long jarg1, Dataset jarg1_, long jarg2, MultiDimInfoOptions jarg2_)

  - ### new_TranslateOptions

    public static final long new_TranslateOptions(Vector jarg1)

  - ### delete_TranslateOptions

    public static final void delete_TranslateOptions(long jarg1)

  - ### Translate__SWIG_0

    public static final long Translate__SWIG_0(String jarg1, long jarg2, Dataset jarg2_, long jarg3, TranslateOptions jarg3_, ProgressCallback jarg4)

  - ### Translate__SWIG_2

    public static final long Translate__SWIG_2(String jarg1, long jarg2, Dataset jarg2_, long jarg3, TranslateOptions jarg3_)

  - ### new_WarpOptions

    public static final long new_WarpOptions(Vector jarg1)

  - ### delete_WarpOptions

    public static final void delete_WarpOptions(long jarg1)

  - ### Warp__SWIG_0

    public static final int Warp__SWIG_0(long jarg1, Dataset jarg1_, Dataset[] jarg2, long jarg4, WarpOptions jarg4_, ProgressCallback jarg5)

  - ### Warp__SWIG_2

    public static final int Warp__SWIG_2(long jarg1, Dataset jarg1_, Dataset[] jarg2, long jarg4, WarpOptions jarg4_)

  - ### Warp__SWIG_3

    public static final long Warp__SWIG_3(String jarg1, Dataset[] jarg2, long jarg4, WarpOptions jarg4_, ProgressCallback jarg5)

  - ### Warp__SWIG_5

    public static final long Warp__SWIG_5(String jarg1, Dataset[] jarg2, long jarg4, WarpOptions jarg4_)

  - ### new_VectorTranslateOptions

    public static final long new_VectorTranslateOptions(Vector jarg1)

  - ### delete_VectorTranslateOptions

    public static final void delete_VectorTranslateOptions(long jarg1)

  - ### VectorTranslate__SWIG_0

    public static final int VectorTranslate__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_, ProgressCallback jarg4)

  - ### VectorTranslate__SWIG_2

    public static final int VectorTranslate__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_)

  - ### VectorTranslate__SWIG_3

    public static final long VectorTranslate__SWIG_3(String jarg1, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_, ProgressCallback jarg4)

  - ### VectorTranslate__SWIG_5

    public static final long VectorTranslate__SWIG_5(String jarg1, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_)

  - ### new_DEMProcessingOptions

    public static final long new_DEMProcessingOptions(Vector jarg1)

  - ### delete_DEMProcessingOptions

    public static final void delete_DEMProcessingOptions(long jarg1)

  - ### DEMProcessing__SWIG_0

    public static final long DEMProcessing__SWIG_0(String jarg1, long jarg2, Dataset jarg2_, String jarg3, String jarg4, long jarg5, DEMProcessingOptions jarg5_, ProgressCallback jarg6)

  - ### DEMProcessing__SWIG_2

    public static final long DEMProcessing__SWIG_2(String jarg1, long jarg2, Dataset jarg2_, String jarg3, String jarg4, long jarg5, DEMProcessingOptions jarg5_)

  - ### new_NearblackOptions

    public static final long new_NearblackOptions(Vector jarg1)

  - ### delete_NearblackOptions

    public static final void delete_NearblackOptions(long jarg1)

  - ### Nearblack__SWIG_0

    public static final int Nearblack__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_, ProgressCallback jarg4)

  - ### Nearblack__SWIG_2

    public static final int Nearblack__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_)

  - ### Nearblack__SWIG_3

    public static final long Nearblack__SWIG_3(String jarg1, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_, ProgressCallback jarg4)

  - ### Nearblack__SWIG_5

    public static final long Nearblack__SWIG_5(String jarg1, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_)

  - ### new_GridOptions

    public static final long new_GridOptions(Vector jarg1)

  - ### delete_GridOptions

    public static final void delete_GridOptions(long jarg1)

  - ### Grid__SWIG_0

    public static final long Grid__SWIG_0(String jarg1, long jarg2, Dataset jarg2_, long jarg3, GridOptions jarg3_, ProgressCallback jarg4)

  - ### Grid__SWIG_2

    public static final long Grid__SWIG_2(String jarg1, long jarg2, Dataset jarg2_, long jarg3, GridOptions jarg3_)

  - ### new_RasterizeOptions

    public static final long new_RasterizeOptions(Vector jarg1)

  - ### delete_RasterizeOptions

    public static final void delete_RasterizeOptions(long jarg1)

  - ### Rasterize__SWIG_0

    public static final int Rasterize__SWIG_0(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_, ProgressCallback jarg4)

  - ### Rasterize__SWIG_2

    public static final int Rasterize__SWIG_2(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_)

  - ### Rasterize__SWIG_3

    public static final long Rasterize__SWIG_3(String jarg1, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_, ProgressCallback jarg4)

  - ### Rasterize__SWIG_5

    public static final long Rasterize__SWIG_5(String jarg1, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_)

  - ### new_BuildVRTOptions

    public static final long new_BuildVRTOptions(Vector jarg1)

  - ### delete_BuildVRTOptions

    public static final void delete_BuildVRTOptions(long jarg1)

  - ### BuildVRT__SWIG_0

    public static final long BuildVRT__SWIG_0(String jarg1, Dataset[] jarg2, long jarg4, BuildVRTOptions jarg4_, ProgressCallback jarg5)

  - ### BuildVRT__SWIG_2

    public static final long BuildVRT__SWIG_2(String jarg1, Dataset[] jarg2, long jarg4, BuildVRTOptions jarg4_)

  - ### BuildVRT__SWIG_3

    public static final long BuildVRT__SWIG_3(String jarg1, Vector jarg2, long jarg3, BuildVRTOptions jarg3_, ProgressCallback jarg4)

  - ### BuildVRT__SWIG_5

    public static final long BuildVRT__SWIG_5(String jarg1, Vector jarg2, long jarg3, BuildVRTOptions jarg3_)

  - ### new_MultiDimTranslateOptions

    public static final long new_MultiDimTranslateOptions(Vector jarg1)

  - ### delete_MultiDimTranslateOptions

    public static final void delete_MultiDimTranslateOptions(long jarg1)

  - ### MultiDimTranslate__SWIG_0

    public static final long MultiDimTranslate__SWIG_0(String jarg1, Dataset[] jarg2, long jarg4, MultiDimTranslateOptions jarg4_, ProgressCallback jarg5)

  - ### MultiDimTranslate__SWIG_2

    public static final long MultiDimTranslate__SWIG_2(String jarg1, Dataset[] jarg2, long jarg4, MultiDimTranslateOptions jarg4_)

  - ### TermProgressCallback_SWIGUpcast

    public static final long TermProgressCallback_SWIGUpcast(long jarg1)

  - ### Driver_SWIGUpcast

    public static final long Driver_SWIGUpcast(long jarg1)

  - ### Dataset_SWIGUpcast

    public static final long Dataset_SWIGUpcast(long jarg1)

  - ### Band_SWIGUpcast

    public static final long Band_SWIGUpcast(long jarg1)